*******************************************************************************
			*							FINAL					*
*******************************************************************************
/************COLLAPSE AND MERGE TO MAKE FINAL DATABASE***************
Last modified: 1805929
Name: Samuel Solomon
This is a replication of "170630_Final_Database.do", except it also includes 2017 SUSENAS
*************************/

**Setting directories**
clear
capture log close
set more off


*Collapsing
*2005*
*March
use "$interim/varsus05feb.dta"
drop prov_id districtcode subdistrictcode villagecode samplecode weind month_exp _m 
gen prov_id=provincecode
destring prov_id, replace
drop provincecode
gen urbanrural=urban
destring urbanrural, replace
drop urban
rename urbanrural urban
order prov_id kabu_id kabu_name urban HHsamplecode
sort prov_id-HHsamplecode

*rename variables to shorten
rename protectedwelldrinkwater protwelldrinkwater
rename unprotectedwelldrinkwater unprotwelldrinkwater
rename protectedspringdrinkwater protspringdrinkwater
rename unprotectedspringdrinkwater unprotspringdrinkwater

*add "feb05_" prefix
foreach x of var*{
 rename `x' feb05_`x'
}

rename *_prov_id prov_id
rename *_kabu_id kabu_id
rename *_kabu_name kabu_name
rename *_urban urban
rename *_HHsamplecode HHsamplecode
rename *_hhsize hhsize
rename *_wert wert
destring kabu_id, replace

preserve
collapse (mean) feb05_*[fw=wert], by(kabu_id)
tempfile varsusfeb05coll_nourban
save `varsusfeb05coll_nourban'
restore 

collapse (mean) feb05_*[fw=wert], by(kabu_id urban)
tempfile varsusfeb05coll
save `varsusfeb05coll'

*July
use "$interim/varsus05jul.dta"
drop districtcode subdistrictcode villagecode samplecode weind month_exp prov_id _m 
gen prov_id=provincecode
destring prov_id, replace
drop provincecode
gen urbanrural=urban
destring urbanrural, replace
drop urban
rename urbanrural urban
order prov_id kabu_id kabu_name urban HHsamplecode
sort prov_id-HHsamplecode

*rename to shorten
rename protectedwelldrinkwater protwelldrinkwater
rename unprotectedwelldrinkwater unprotwelldrinkwater
rename protectedspringdrinkwater protspringdrinkwater
rename unprotectedspringdrinkwater unprotspringdrinkwater

foreach x of var*{
 rename `x' jul05_`x'
 }
rename *_prov_id prov_id
rename *_kabu_id kabu_id
rename *_kabu_name kabu_name
rename *_urban urban
rename *_HHsamplecode HHsamplecode
rename *_hhsize hhsize
rename *_wert wert
destring kabu_id, replace

preserve
collapse (mean) jul05_*[fw=wert], by(kabu_id)
tempfile varsusjul05coll_nourban
save `varsusjul05coll_nourban'
restore 

collapse (mean) jul05_*[fw=wert], by(kabu_id urban)
tempfile varsusjul05coll
save `varsusjul05coll'

*2006*
	*March
use "$interim/varsus06mar.dta"
drop districtcode subdistrictcode villagecode samplecode month_exp prov_id _m 
gen prov_id=provincecode
destring prov_id, replace
drop provincecode
gen urbanrural=urban
destring urbanrural, replace
drop urban
rename urbanrural urban
order prov_id kabu_id kabu_name urban HHsamplecode
sort prov_id-HHsamplecode

*rename to shorten
rename protectedwelldrinkwater protwelldrinkwater
rename unprotectedwelldrinkwater unprotwelldrinkwater
rename protectedspringdrinkwater protspringdrinkwater
rename unprotectedspringdrinkwater unprotspringdrinkwater

foreach x of var*{
 rename `x' mar06_`x'
 }
rename *_prov_id prov_id
rename *_kabu_id kabu_id
rename *_kabu_name kabu_name
rename *_urban urban
rename *_HHsamplecode HHsamplecode
rename *_hhsize hhsize
rename *_wert wert
rename *_nort nort
destring kabu_id, replace

preserve
collapse (mean) mar06_*[fw=wert], by(kabu_id)
tempfile varsusmar06coll_nourban
save `varsusmar06coll_nourban'
restore 

collapse (mean) mar06_*[fw=wert], by(kabu_id urban)
tempfile varsusmar06coll
save `varsusmar06coll'

	*July
use "$interim/varsus06jul.dta"
drop districtcode subdistrictcode villagecode samplecode month_exp prov_id _m 
gen prov_id=provincecode
destring prov_id, replace
drop provincecode
gen urbanrural=urban
destring urbanrural, replace
drop urban
rename urbanrural urban
order prov_id kabu_id kabu_name urban HHsamplecode
sort prov_id-HHsamplecode

*rename to shorten
rename protectedwelldrinkwater protwelldrinkwater
rename unprotectedwelldrinkwater unprotwelldrinkwater
rename protectedspringdrinkwater protspringdrinkwater
rename unprotectedspringdrinkwater unprotspringdrinkwater
rename n_hhmemberusecomputerinternet n_hhmusecompint

foreach x of var*{
 rename `x' jul06_`x'
 }
rename *_prov_id prov_id
rename *_kabu_id kabu_id
rename *_kabu_name kabu_name
rename *_urban urban
rename *_HHsamplecode HHsamplecode
rename *_hhsize hhsize
rename *_wert wert
destring kabu_id, replace

preserve
collapse (mean) jul06_*[fw=wert], by(kabu_id)
tempfile varsusjul06coll_nourban
save `varsusjul06coll_nourban'
restore 

collapse (mean) jul06_*[fw=wert], by(kabu_id urban)
tempfile varsusjul06coll
save `varsusjul06coll'

*2007*
	*March
use "$interim/varsus07feb.dta"
drop districtcode subdistrictcode villagecode samplecode prov_id _m 
gen prov_id=provincecode
destring prov_id, replace
drop provincecode
gen urbanrural=urban
destring urbanrural, replace
drop urban
rename urbanrural urban
order prov_id kabu_id kabu_name urban HHsamplecode
sort prov_id-HHsamplecode

*rename to shorten
rename protectedwelldrinkwater protwelldrinkwater
rename unprotectedwelldrinkwater unprotwelldrinkwater
rename protectedspringdrinkwater protspringdrinkwater
rename unprotectedspringdrinkwater unprotspringdrinkwater

foreach x of var*{
 rename `x' feb07_`x'
 }
rename *_prov_id prov_id
rename *_kabu_id kabu_id
rename *_kabu_name kabu_name
rename *_urban urban
rename *_HHsamplecode HHsamplecode
rename *_hhsize hhsize
rename *_wert wert
destring kabu_id, replace

preserve
collapse (mean) feb07_*[fw=wert], by(kabu_id)
tempfile varsusfeb07coll_nourban
save `varsusfeb07coll_nourban'
restore 

collapse (mean) feb07_*[fw=wert], by(kabu_id urban)
tempfile varsusfeb07coll
save `varsusfeb07coll'

	*July
use "$interim/varsus07jul.dta"
drop districtcode subdistrictcode villagecode samplecode weind prov_id _m 
gen prov_id=provincecode
destring prov_id, replace
drop provincecode
gen urbanrural=urban
destring urbanrural, replace
drop urban
rename urbanrural urban
order prov_id kabu_id kabu_name urban HHsamplecode
sort prov_id-HHsamplecode

*rename to shorten
rename protectedwelldrinkwater protwelldrinkwater
rename unprotectedwelldrinkwater unprotwelldrinkwater
rename protectedspringdrinkwater protspringdrinkwater
rename unprotectedspringdrinkwater unprotspringdrinkwater
rename n_hhmemberusecomputerinternet n_hhmusecompint

foreach x of var*{
 rename `x' jul07_`x'
 }
rename *_prov_id prov_id
rename *_kabu_id kabu_id
rename *_kabu_name kabu_name
rename *_urban urban
rename *_HHsamplecode HHsamplecode
rename *_hhsize hhsize
rename *_wert wert
destring kabu_id, replace

preserve
collapse (mean) jul07_*[fw=wert], by(kabu_id)
tempfile varsusjul07coll_nourban
save `varsusjul07coll_nourban'
restore 

collapse (mean) jul07_*[fw=wert], by(kabu_id urban)
tempfile varsusjul07coll
save `varsusjul07coll'

*2008*
	*March
use "$interim/varsus08mar.dta"
drop districtcode subdistrictcode villagecode samplecode weind month_exp prov_id _m watersanitation
gen prov_id=provincecode
destring prov_id, replace
drop provincecode
gen urbanrural=urban
destring urbanrural, replace
drop urban
rename urbanrural urban
order prov_id kabu_id kabu_name urban HHsamplecode
sort prov_id-HHsamplecode

*rename to shorten
rename protectedwelldrinkwater protwelldrinkwater
rename unprotectedwelldrinkwater unprotwelldrinkwater
rename protectedspringdrinkwater protspringdrinkwater
rename unprotectedspringdrinkwater unprotspringdrinkwater

foreach x of var*{
 rename `x' mar08_`x'
 }
rename *_prov_id prov_id
rename *_kabu_id kabu_id
rename *_kabu_name kabu_name
rename *_urban urban
rename *_HHsamplecode HHsamplecode
rename *_hhsize hhsize
rename *_wert wert
destring kabu_id, replace

preserve
collapse (mean) mar08_*[fw=wert], by(kabu_id)
tempfile varsusmar08coll_nourban
save `varsusmar08coll_nourban'
restore 

collapse (mean) mar08_*[fw=wert], by(kabu_id urban)
tempfile varsusmar08coll
save `varsusmar08coll'

	*July
use "$interim/varsus08jul.dta"
drop districtcode subdistrictcode villagecode samplecode weind prov_id _m 
gen prov_id=provincecode
destring prov_id, replace
drop provincecode
gen urbanrural=urban
destring urbanrural, replace
drop urban
rename urbanrural urban
order prov_id kabu_id kabu_name urban HHsamplecode
sort prov_id-HHsamplecode

*rename to shorten
rename protectedwelldrinkwater protwelldrinkwater
rename unprotectedwelldrinkwater unprotwelldrinkwater
rename protectedspringdrinkwater protspringdrinkwater
rename unprotectedspringdrinkwater unprotspringdrinkwater

foreach x of var*{
 rename `x' jul08_`x'
 }
rename *_prov_id prov_id
rename *_kabu_id kabu_id
rename *_kabu_name kabu_name
rename *_urban urban
rename *_HHsamplecode HHsamplecode
rename *_hhsize hhsize
rename *_wert wert
destring kabu_id, replace

preserve
collapse (mean) jul08_*[fw=wert], by(kabu_id)
tempfile varsusjul08coll_nourban
save `varsusjul08coll_nourban'
restore 

collapse (mean) jul08_*[fw=wert], by(kabu_id urban)
tempfile varsusjul08coll
save `varsusjul08coll'

*2009*
	*March
use "$interim/varsus09mar.dta"
drop districtcode subdistrictcode villagecode samplecode weind month_exp prov_id _m 
gen prov_id=provincecode
destring prov_id, replace
drop provincecode
gen urbanrural=urban
destring urbanrural, replace
drop urban
rename urbanrural urban
order prov_id kabu_id kabu_name urban HHsamplecode
sort prov_id-HHsamplecode

*rename to shorten
rename protectedwelldrinkwater protwelldrinkwater
rename unprotectedwelldrinkwater unprotwelldrinkwater
rename protectedspringdrinkwater protspringdrinkwater
rename unprotectedspringdrinkwater unprotspringdrinkwater

foreach x of var*{
 rename `x' mar09_`x'
 }
rename *_prov_id prov_id
rename *_kabu_id kabu_id
rename *_kabu_name kabu_name
rename *_urban urban
rename *_HHsamplecode HHsamplecode
rename *_hhsize hhsize
rename *_wert wert
destring kabu_id, replace

preserve
collapse (mean) mar09_*[fw=wert], by(kabu_id)
tempfile varsusmar09coll_nourban
save `varsusmar09coll_nourban'
restore 

collapse (mean) mar09_*[fw=wert], by(kabu_id urban)
tempfile varsusmar09coll
save `varsusmar09coll'

	*July
use "$interim/varsus09jul.dta"
drop districtcode subdistrictcode villagecode samplecode weind prov_id _m watersanitation
gen prov_id=provincecode
destring prov_id, replace
drop provincecode
gen urbanrural=urban
destring urbanrural, replace
drop urban
rename urbanrural urban
order prov_id kabu_id kabu_name urban HHsamplecode
sort prov_id-HHsamplecode

*rename to shorten
rename protectedwelldrinkwater protwelldrinkwater
rename unprotectedwelldrinkwater unprotwelldrinkwater
rename protectedspringdrinkwater protspringdrinkwater
rename unprotectedspringdrinkwater unprotspringdrinkwater

foreach x of var*{
 rename `x' jul09_`x'
 }
rename *_prov_id prov_id
rename *_kabu_id kabu_id
rename *_kabu_name kabu_name
rename *_urban urban
rename *_HHsamplecode HHsamplecode
rename *_hhsize hhsize
rename *_wert wert
destring kabu_id, replace

preserve
collapse (mean) jul09_*[fw=wert], by(kabu_id)
tempfile varsusjul09coll_nourban
save `varsusjul09coll_nourban'
restore 

collapse (mean) jul09_*[fw=wert], by(kabu_id urban)
tempfile varsusjul09coll
save `varsusjul09coll'

*2010*
	*March
use "$interim/varsus10mar.dta"
drop districtcode subdistrictcode villagecode samplecode weind prov_id _m 
gen prov_id=provincecode
destring prov_id, replace
drop provincecode
gen urbanrural=urban
destring urbanrural, replace
drop urban
rename urbanrural urban
order prov_id kabu_id kabu_name urban HHsamplecode
sort prov_id-HHsamplecode

*rename to shorten
rename protectedwelldrinkwater protwelldrinkwater
rename unprotectedwelldrinkwater unprotwelldrinkwater
rename protectedspringdrinkwater protspringdrinkwater
rename unprotectedspringdrinkwater unprotspringdrinkwater

foreach x of var*{
 rename `x' mar10_`x'
 }
rename *_prov_id prov_id
rename *_kabu_id kabu_id
rename *_kabu_name kabu_name
rename *_urban urban
rename *_HHsamplecode HHsamplecode
rename *_hhsize hhsize
rename *_wert wert
destring kabu_id, replace

preserve
collapse (mean) mar10_*[fw=wert], by(kabu_id)
tempfile varsusmar10coll_nourban
save `varsusmar10coll_nourban'
restore 

collapse (mean) mar10_*[fw=wert], by(kabu_id urban)
tempfile varsusmar10coll
save `varsusmar10coll'

	*July
use "$interim/varsus10jul.dta"
drop districtcode subdistrictcode villagecode samplecode weind watersanitation prov_id _m 
gen prov_id=provincecode
destring prov_id, replace
drop provincecode
gen urbanrural=urban
destring urbanrural, replace
drop urban
rename urbanrural urban
order prov_id kabu_id kabu_name urban HHsamplecode
sort prov_id-HHsamplecode

*rename to shorten
rename protectedwelldrinkwater protwelldrinkwater
*rename unprotectedwelldrinkwater unprotwelldrinkwater
rename protectedspringdrinkwater protspringdrinkwater
rename unprotectedspringdrinkwater unprotspringdrinkwater

foreach x of var*{
 rename `x' jul10_`x'
 }
rename *_prov_id prov_id
rename *_kabu_id kabu_id
rename *_kabu_name kabu_name
rename *_urban urban
rename *_HHsamplecode HHsamplecode
rename *_hhsize hhsize
rename *_wert wert
destring kabu_id, replace

preserve
collapse (mean) jul10_*[fw=wert], by(kabu_id)
tempfile varsusjul10coll_nourban
save `varsusjul10coll_nourban'
restore 

collapse (mean) jul10_*[fw=wert], by(kabu_id urban)
destring kabu_id, replace
tempfile varsusjul10coll
save `varsusjul10coll'

*2011
use "$interim/varsus11pool.dta"
drop districtcode subdistrictcode villagecode samplecode weind watersanitation prov_id _m 
gen prov_id=provincecode
destring prov_id, replace
drop provincecode
gen urbanrural=urban
destring urbanrural, replace
drop urban
rename urbanrural urban
order prov_id kabu_id kabu_name urban HHsamplecode
sort prov_id-HHsamplecode

*rename to shorten
rename protectedwelldrinkwater protwelldrinkwater
rename unprotectedwelldrinkwater unprotwelldrinkwater
rename protectedspringdrinkwater protspringdrinkwater
rename unprotectedspringdrinkwater unprotspringdrinkwater
rename unprotectedspringwashwater unprotspringwashwater

foreach x of var*{
 rename `x' pool11_`x'
 }
rename *_prov_id prov_id
rename *_kabu_id kabu_id
rename *_kabu_name kabu_name
rename *_urban urban
rename *_HHsamplecode HHsamplecode
rename *_hhsize hhsize
rename *_wert wert
destring kabu_id, replace

preserve
collapse (mean) pool11_*[fw=wert], by(kabu_id)
tempfile varsuspool11coll_nourban
save `varsuspool11coll_nourban'
restore 

collapse (mean) pool11_*[fw=wert], by(kabu_id urban)
tempfile varsuspool11coll
save `varsuspool11coll'

*2012
use "$interim/varsus12pool.dta"
drop hhid districtcode watersanitation prov_id _m 
gen prov_id=provincecode
destring prov_id, replace
drop provincecode
gen urbanrural=urban
destring urbanrural, replace
drop urban
rename urbanrural urban
order  prov_id kabu_id kabu_name urban HHsamplecode
sort prov_id-HHsamplecode

*rename to shorten
rename protectedwelldrinkwater protwelldrinkwater
rename unprotectedwelldrinkwater unprotwelldrinkwater
rename protectedspringdrinkwater protspringdrinkwater
rename unprotectedspringdrinkwater unprotspringdrinkwater
rename unprotectedspringwashwater unprotspringwashwater

foreach x of var*{
 rename `x' pool12_`x'
 }
rename *_prov_id prov_id
rename *_kabu_id kabu_id
rename *_kabu_name kabu_name
rename *_urban urban
rename *_HHsamplecode HHsamplecode
rename *_hhsize hhsize
rename *_wert wert
gen int wert_n= round(wert)
drop wert
rename wert_n wert
destring kabu_id, replace

preserve
collapse (mean) pool12_*[fw=wert], by(kabu_id)
tempfile varsuspool12coll_nourban
save `varsuspool12coll_nourban'
restore 

collapse (mean) pool12_*[fw=wert], by(kabu_id urban)
tempfile varsuspool12coll
save `varsuspool12coll'

*2013
use "$interim/varsus13pool.dta"
drop hhid districtcode watersanitation prov_id _m 
gen prov_id=provincecode
destring prov_id, replace
drop provincecode
gen urbanrural=urban
destring urbanrural, replace
drop urban
rename urbanrural urban
order  prov_id kabu_id kabu_name urban HHsamplecode
sort prov_id-HHsamplecode

*rename to shorten
rename protectedwelldrinkwater protwelldrinkwater
rename unprotectedwelldrinkwater unprotwelldrinkwater
rename protectedspringdrinkwater protspringdrinkwater
rename unprotectedspringdrinkwater unprotspringdrinkwater
rename unprotectedspringwashwater unprotspringwashwater
rename unprotectedspringcookwater unpritspringcookwater

foreach x of var*{
 rename `x' pool13_`x'
 }
rename *_prov_id prov_id
rename *_kabu_id kabu_id
rename *_kabu_name kabu_name
rename *_urban urban
rename *_HHsamplecode HHsamplecode
rename *_hhsize hhsize
rename *_wert wert
gen int wert_n= round(wert)
drop wert
rename wert_n wert
destring kabu_id, replace

preserve
collapse (mean) pool13_*[fw=wert], by(kabu_id)
tempfile varsuspool13coll_nourban
save `varsuspool13coll_nourban'
restore 

collapse (mean) pool13_*[fw=wert], by(kabu_id urban)
tempfile varsuspool13coll
save `varsuspool13coll'

*2014
use "$interim/varsus14pool.dta"
drop hhid districtcode watersanitation samplecode HHsamplecode prov_id _m 
gen prov_id=provincecode
destring prov_id, replace
drop provincecode
gen urbanrural=urban
destring urbanrural, replace
drop urban
rename urbanrural urban
order  prov_id kabu_id kabu_name urban
sort prov_id kabu_id

*rename to shorten
rename protectedwelldrinkwater protwelldrinkwater
rename unprotectedwelldrinkwater unprotwelldrinkwater
rename protectedspringdrinkwater protspringdrinkwater
rename unprotectedspringdrinkwater unprotspringdrinkwater
rename unprotectedspringwashwater unprotspringwashwater
rename unprotectedspringcookwater unpritspringcookwater

foreach x of var*{
 rename `x' pool14_`x'
 }
rename *_prov_id prov_id
rename *_kabu_id kabu_id
rename *_kabu_name kabu_name
rename *_urban urban
*rename *_HHsamplecode HHsamplecode
rename *_hhsize hhsize
rename *_wert wert
gen int wert_n= round(wert)
drop wert
rename wert_n wert
destring kabu_id, replace

preserve
collapse (mean) pool14_*[fw=wert], by(kabu_id)
tempfile varsuspool14coll_nourban
save `varsuspool14coll_nourban'
restore 

collapse (mean) pool14_*[fw=wert], by(kabu_id urban)
tempfile varsuspool14coll
save `varsuspool14coll'

*2015
use "$interim/varsus15mar.dta"
drop hhid districtcode samplecode HHsamplecode prov_id _m 
gen prov_id=provincecode
destring prov_id, replace
drop provincecode
gen urbanrural=urban
destring urbanrural, replace
drop urban
rename urbanrural urban
order  prov_id kabu_id kabu_name urban

*rename to shorten
rename protectedwelldrinkwater protwelldrinkwater
rename unprotectedwelldrinkwater unprotwelldrinkwater
rename protectedspringdrinkwater protspringdrinkwater
rename unprotectedspringdrinkwater unprotspringdrinkwater
rename unprotectedspringwashwater unprotspringwashwater
rename unprotectedspringcookwater unpritspringcookwater

foreach x of var*{
 rename `x' mar15_`x'
 }
rename *_prov_id prov_id
rename *_kabu_id kabu_id
rename *_kabu_name kabu_name
rename *_urban urban
rename *_hhsize hhsize
rename *_wert wert
gen int wert_n= round(wert)
drop wert
rename wert_n wert

destring kabu_id, replace

preserve
collapse (mean) mar15_*[fw=wert], by(kabu_id)
tempfile varsusmar15coll_nourban
save `varsusmar15coll_nourban'
restore 

collapse (mean) mar15_*[fw=wert], by(kabu_id urban)
tempfile varsusmar15coll
save `varsusmar15coll'

**Merging all datasets -- updated for 2017 as outcome variable (so household counts will be slightly off here, because based on 2016 merge)
*use "$codeddata/SusMar2016_merged_randomization.dta", clear
use "$codeddata/Sus2017_merged_randomization_reduced.dta", clear
*gen int wert_n= round(fwt_tahun)
*rename wert_n wert
* drop _m
merge m:1 kabu_id urban using `varsusfeb05coll'
**80,573 HH are sampled outside Feb 05 SUSENAS sampling -- not dropped, just missing
assert _m != 2
drop _m

merge m:1 kabu_id using `varsusfeb05coll_nourban', update
*** 49,748 HH in a kabu_id not sampled in Feb 05. Coded as missing.
assert _m != 2
drop _m

merge m:1 kabu_id urban using `varsusjul05coll'
**17,533 HH are sampled outside Jul 05 SUSENAS sampling -- not dropped, just missing
drop if _m==2
**kabu_id 1272, 3272, 3275, 3276, 3373, 3573, 3575, 9171 only in Jul 05 SUSENAS sampling -- dropped
drop _m

merge m:1 kabu_id using `varsusjul05coll_nourban', update
*** 16,257 HH in a kabu_id not sampled in Feb 05. Coded as missing.
assert _m != 2
drop _m

merge m:1 kabu_id urban using `varsusmar06coll'
**86,553 HH are sampled outside Mar 06 SUSENAS sampling -- not dropped, just missing
assert _m != 2
drop _m

merge m:1 kabu_id using `varsusmar06coll_nourban', update
*** 56,900 HH in a kabu_id not sampled in Mar 06. Coded as missing.
assert _m != 2
drop _m

merge m:1 kabu_id urban using `varsusjul06coll'
**1,691 HH are sampled outside Jul 06 SUSENAS sampling -- not dropped, just missing
drop if _m==2
**kabu_id 1272, 3272, 3275, 3276, 3373, 3573, 3575, 9106, 9171 only in Jul 06 SUSENAS sampling -- dropped
drop _m

merge m:1 kabu_id using `varsusjul06coll_nourban', update
*** 789 HH in a kabu_id not sampled. Coded as missing.
assert _m != 2
drop _m

merge m:1 kabu_id urban using `varsusfeb07coll'
**6,469 HH are sampled outside Feb 07 SUSENAS sampling -- not dropped, just missing
assert _m != 2
drop _m

merge m:1 kabu_id using `varsusfeb07coll_nourban', update
*** 409 HH in a kabu_id not sampled. Coded as missing.
assert _m != 2
drop _m

merge m:1 kabu_id urban using `varsusjul07coll'
**1,840 HH are sampled outside Jul 07 SUSENAS sampling -- not dropped, just missing
drop if _m==2
**kabu_id 1272, 3271, 3272, 3275, 3276, 3373, 3573, 3575, 9106, 9171 only in Jul 07 SUSENAS sampling -- dropped
drop _m

merge m:1 kabu_id using `varsusjul07coll_nourban', update
*** 1,196 HH in a kabu_id not sampled (9411, 9417). Coded as missing.
assert _m != 2
drop _m

merge m:1 kabu_id urban using `varsusmar08coll'
**7,669 HH are sampled outside Mar 08 SUSENAS sampling -- not dropped, just missing
drop if _m==2
**kabu_id 3275,3573, 3575, 9171 only in Mar 08 SUSENAS sampling -- dropped
drop _m

merge m:1 kabu_id using `varsusmar08coll_nourban', update
*** 228 HH in a kabu_id not sampled (3101). Coded as missing.
assert _m != 2
drop _m


merge m:1 kabu_id urban using `varsusjul08coll'
**988 HH are sampled outside Jul 08 SUSENAS sampling -- not dropped, just missing
drop if _m==2
**kabu_id 1272, 3272, 3275, 3276, 3373, 3573, 3575, 9106, 9171 only in Jul 08 SUSENAS sampling -- dropped
drop _m

merge m:1 kabu_id using `varsusjul08coll_nourban', update
assert _m != 2
drop _m

merge m:1 kabu_id urban using `varsusmar09coll'
**7,669 HH are sampled outside Mar 09 SUSENAS sampling -- not dropped, just missing
drop if _m==2
**kabu_id 3275, 3573, 3575 only in Mar 09 SUSENAS sampling -- dropped
drop _m

merge m:1 kabu_id using `varsusmar09coll_nourban', update
*** 228 HH in a kabu_id not sampled (3101). Coded as missing.
assert _m != 2
drop _m

merge m:1 kabu_id urban using `varsusjul09coll'
** 1,021 HH are sampled outside Jul 09 SUSENAS sampling -- not dropped, just missing
drop if _m==2
**kabu_id 1272, 3272, 3275, 3276, 3373, 3573, 3575, 9106, 9171 only in Jul 09 SUSENAS sampling -- dropped
drop _m

merge m:1 kabu_id using `varsusjul09coll_nourban', update
assert _m != 2
drop _m

merge m:1 kabu_id urban using `varsusmar10coll'
**9,163 HH are sampled outside Mar 10 SUSENAS sampling -- not dropped, just missing
drop if _m==2
**kabu_id 3275, 3573, 3575 only in Mar 10 SUSENAS sampling -- dropped
drop _m

merge m:1 kabu_id using `varsusmar10coll_nourban', update
*** 228 HH in a kabu_id not sampled (1113, 3101, 8105, 9415, 9419). Coded as missing.
assert _m != 2
drop _m

merge m:1 kabu_id urban using `varsusjul10coll'
drop if _m==2
**kabu_id 9107, 9171 only in Jul 10 SUSENAS sampling -- dropped
drop _m

merge m:1 kabu_id using `varsusjul10coll_nourban', update
assert _m != 2
drop _m

merge m:1 kabu_id urban using `varsuspool11coll'
**10 HH are sampled outside Pool 11 SUSENAS sampling -- not dropped, just missing
drop if _m==2
**kabu_id 9107, 9171 only in Pool 11 SUSENAS sampling -- dropped
drop _m

merge m:1 kabu_id using `varsuspool11coll_nourban', update
assert _m != 2
drop _m

merge m:1 kabu_id urban using `varsuspool12coll'
**167 HH are sampled outside Pool 12 SUSENAS sampling -- not dropped, just missing
assert _m != 2
drop _m

merge m:1 kabu_id using `varsuspool12coll_nourban', update
assert _m != 2
drop _m

merge m:1 kabu_id urban using `varsuspool13coll'
**167 HH are sampled outside Pool 13 SUSENAS sampling -- not dropped, just missing
assert _m != 2
drop _m

merge m:1 kabu_id using `varsuspool13coll_nourban', update
assert _m != 2
drop _m

merge m:1 kabu_id urban using `varsuspool14coll'
**167 HH are sampled outside Pool 14 SUSENAS sampling -- not dropped, just missing
assert _m != 2
drop _m

merge m:1 kabu_id using `varsuspool14coll_nourban', update
assert _m != 2
drop _m

merge m:1 kabu_id urban using `varsusmar15coll'
assert _m != 2
drop _m

merge m:1 kabu_id using `varsusmar15coll_nourban', update
assert _m != 2
drop _m

//gen int wert_n= round(fwt_tahun)
gen int wert_n= round(fwt)
rename wert_n wert
*drop own_cell n_cell_indiv 
**all interim codeddata -- put together in a folder
*strata that is not used
saveold "$codeddata/180529_final_database_2017SUSENAS.dta", replace

*DONE!!!



