/***********************Susenas March 2016 Analysis with no baseline*************
Last modified: 170628
*************************/


clear
capture log close
set more off



**Opening March 2016 Susenas and keeping/recoding relevant files**
use "$rawdata/KOR/susenas16mar_kr.dta"
merge 1:m urut-r108 using "$rawdata/KOR/susenas16mar_ki.dta"

keep urut-r108 r301 r1004a r1004b r1701l r1507a r1507b r1601-r1609 r1801a-r1801h fwt_tahun

**control: hh member**
rename r301 hhsize

**control: urban**
rename r105 urban
replace urban = 0 if urban == 2

**cellphone**
bysort urut-r108: egen n_cell_hh = total(r1004b)
rename r1004b n_cell_indiv
replace n_cell_indiv = 0 if n_cell_indiv == .
rename r1004a own_cell
replace own_cell= 0 if own_cell==5
bysort urut-r108: egen n_ppl_phones = total(own_cell)

**renaming codes**
rename urut hhid
rename r101 code

**making district code
rename r102 district
tostring code district, replace
replace  district = "0" +  district if length(district)==1
gen districtcode = code+district 
destring code district districtcode, replace

**goose neck closet**
gen own_wcgoose = 1 if r1507a==1 & r1507b==1
replace own_wcgoose = 0 if own_wcgoose == .

**n room**
generate total_room = r1801a+r1801b+r1801c+r1801d+r1801e+r1801f+r1801g+r1801h

**flattv**
rename r1701l own_flattv
replace own_flattv = 0 if own_flattv==5

**social protection programs**
rename r1603 hh_raskin
replace hh_raskin=0 if hh_raskin==5

rename r1609 hh_kps
replace hh_kps=1 if hh_kps==1 | hh_kps==2
replace hh_kps=0 if hh_kps==5


/*
*rename r1601 hh_blt
*replace hh_blt=0 if hh_blt==5
replace r1605a=0 if r1605a==5
*bysort hhid-r108: egen hh_pnpm = total(r1605a)
*replace hh_pnpm=1 if hh_pnpm!=0
*replace r1605b=0 if r1605b==5
bysort hhid-r108: egen hh_kur = total(r1605b)
replace hh_kur=1 if hh_kur!=0
replace r1605d=0 if r1605d==5
bysort hhid-r108: egen hh_kube = total(r1605d)
replace hh_kube=1 if hh_kube!=0
rename r1606 hh_bsm
replace hh_bsm=0 if hh_bsm==5
*/

**collapsing to HH level**
bysort hhid-r108: gen n=_n
keep if n==1
drop n 

**merging database with randomization**
sort hhid
drop r107 r108 r160* r1507a r1507b r1801a-r1801h
merge m:1 code using "$rawdata/randomization/randomization.dta"

order code district province hhid
drop /* own_cell n_cell_indiv */ strata_intermed strata_final 
saveold "$codeddata/SusMar2016_merged_randomization.dta", replace
