/**************Susenas 2005 - 2010*************
Last modified: 170628
*************************/

clear
capture log close
set more off


************************************************************************************************
************************************************2005********************************************
************************************************************************************************

**March**
/** HH identifier (b1r1-b1r8), percapita expenditure (b43r24k4), housing questions including toilet (b6r1-b6r10), 
weights(weind wert), no asset questions, no telecommunication**/
clear
use "$KOR/susenas05feb_kr.dta"
merge 1:m b1r1-b1r8 using "$KOR/susenas05feb_ki.dta"
drop _m
**demographic characteristic
gen female= 1 if jk==2
replace female=0 if female==.
gen male= 1 if jk==1
replace male=0 if male==.
gen child=1 if hb==3
replace child=0 if child==.
bysort b1r1-b1r8: egen totalfemale= total(female)
bysort b1r1-b1r8: egen totalmale= total(male)
bysort b1r1-b1r8: egen totalchild= total(child)
bysort b1r1-b1r8: gen n=_n
keep if n == 1

merge 1:m b1r1-b1r8 using "$MODULE/susenas05feb_43.dta"

keep b1r1-b1r8 hhsize b43r24k4 b6r1-b6r10 weind wert totalmale totalfemale totalchild

**renaming variables**
rename b1r1 provincecode
rename b1r2 districtcode
rename b1r3 subdistrictcode
rename b1r4 villagecode
rename b1r5 urban
replace urban = 0 if urban == 2
rename b1r7 samplecode
rename b1r8 HHsamplecode
tab b6r1, gen(houseownership)
tab b6r2, gen(rooftype)
tab b6r3, gen(walltype)
tab b6r4, gen(floortype)
rename b6r5 area
tab b6r6a, gen(watersource)
rename b6r6b watersanitation
gen cleanwatersanitation = 1 if watersanitation == 2
replace cleanwatersanitation = 0 if watersanitation != 2
replace cleanwatersanitation=1 if b6r6a == 1 | b6r6a == 2
replace cleanwatersanitation=1 if b6r6a == 8 | b6r6a == 9 | b6r6a == 0
drop watersanitation
rename b6r7 buyingdrinkwater
replace buyingdrinkwater = 0 if buyingdrinkwater == 2
tab b6r8, gen(waterownership)
tab b6r9a, gen(toiletownership)
replace b6r9b= . if b6r9a == 4
tab b6r9b, gen(toilettype)
tab b6r9c, gen(finaldisposal)
tab b6r10, gen(electricitytype)
rename b43r24k4 month_exp
gen month_pcexp = month_exp/hhsize

drop b6r1
rename houseownership1 ownhouse
rename houseownership2 lease
rename houseownership3 rent
rename houseownership4 freelease
rename houseownership5 companyhouse
rename houseownership6 familyhouse
rename houseownership7 otherhouse

drop b6r2
rename rooftype1 concreteroof
rename rooftype2 tileroof
rename rooftype3 shingleroof
rename rooftype4 ironsheetroof
rename rooftype5 asbestosroof
rename rooftype6 fiberpalmroof
rename rooftype7 otherroof

drop b6r3
rename walltype1 concretewall
rename walltype2 woodwall
rename walltype3 bamboowall
rename walltype4 otherwall

drop b6r4
rename floortype1 marbleceramicsfloor
rename floortype2 woodfloor
rename floortype3 soilfloor
rename floortype4 otherfloor

drop b6r6a
rename watersource1 otherdrinkwater 
rename watersource2 bottleddrinkwater
rename watersource3 pipedrinkwater
rename watersource4 pumpdrinkwater
rename watersource5 protectedwelldrinkwater
rename watersource6 unprotectedwelldrinkwater
rename watersource7 protectedspringdrinkwater
rename watersource8 unprotectedspringdrinkwater
rename watersource9 riverdrinkwater
rename watersource10 raindrinkwater

drop b6r8
rename waterownership1 personaldrinkwater
rename waterownership2 mutualdrinkwater
rename waterownership3 publicdrinkwater
rename waterownership4 noaccessdrinkwater

drop b6r9a
rename toiletownership1 personaltoilet
rename toiletownership2 mutualtoilet
rename toiletownership3 publictoilet
rename toiletownership4 noaccesstotoilet

drop b6r9b
rename toilettype1 goosetoilet
replace goosetoilet = 0 if goosetoilet == . & noaccesstotoilet == 1
rename toilettype2 pitttoilet
replace pitttoilet = 0 if pitttoilet == . & noaccesstotoilet == 1
rename toilettype3 squattoilet
replace squattoilet = 0 if squattoilet == . & noaccesstotoilet == 1
rename toilettype4 notoilet
replace notoilet = 0 if notoilet == . & noaccesstotoilet == 1

* toilet interaction
gen personalgoosetoilet = personaltoilet*goosetoilet
gen personalpitttoilet = personaltoilet*pitttoilet
gen personalsquattoilet = personaltoilet*squattoilet
gen personalnotoilet = personaltoilet*notoilet
gen mutualgoosetoilet = mutualtoilet*goosetoilet
gen mutualpitttoilet = mutualtoilet*pitttoilet
gen mutualsquattoilet = mutualtoilet*squattoilet
gen mutualnotoilet = mutualtoilet*notoilet
gen publicgoosetoilet = publictoilet*goosetoilet
gen publicpitttoilet = publictoilet*pitttoilet
gen publicsquattoilet = publictoilet*squattoilet
gen publicnotoilet = publictoilet*notoilet

drop b6r9c
rename finaldisposal1 septicdisposal
rename finaldisposal2 pooldisposal
rename finaldisposal3 riverdisposal
rename finaldisposal4 pitholedisposal
rename finaldisposal5 opendisposal
rename finaldisposal6 otherdisposal

drop b6r10
rename electricitytype1 PLNelectricity
rename electricitytype2 nonPLNelectricity
rename electricitytype3 parrafinlamp
rename electricitytype4 oillamp
rename electricitytype5 otherelectricity

saveold "$interim/varsus05feb.dta", replace

**July**
/** HH identifier (b1r1-b1r8), monthly percapita expenditure (pcexp), 
housing questions including toilet but only ownership no type (b6r1-b6r4), 
weights (weind wert), telecommunication (b7r1-b7r5c1), no asset questions**/
clear
use "$KOR/susenas05jul_kr.dta"
merge 1:m b1r1-b1r8 using "$KOR/susenas05jul_ki.dta"
drop _m
**demographic characteristic
gen female= 1 if jk==2
replace female=0 if female==.
gen male= 1 if jk==1
replace male=0 if male==.
gen child=1 if hb==3
replace child=0 if child==.
bysort b1r1-b1r8: egen totalfemale= total(female)
bysort b1r1-b1r8: egen totalmale= total(male)
bysort b1r1-b1r8: egen totalchild= total(child)

keep b1r1-b1r8 b2r3 b6r1-b6r4 b7r* b8br25 weind wert totalmale totalfemale totalchild

**Telecommunication
rename b7r1 telephone
replace telephone = 0 if telephone == 2
rename b7r2a cellphone
replace cellphone = 0 if cellphone == 2
rename b7r2b n_hhcellphone
replace n_hhcellphone = 0 if cellphone == 0 
rename b7r3 computer
replace computer = 0 if computer == 2
rename b7r4a computerforinternet
replace computerforinternet = 0 if computerforinternet == 2
replace computerforinternet= 0 if computer == 0
rename b7r4b n_hhmemberusecompinternet
replace n_hhmemberusecompinternet = 0 if computerforinternet == 0
rename b7r5a1 warnetforinternet
replace warnetforinternet = 0 if warnetforinternet == 2
rename b7r5a2 n_hhusewarnetinternet
replace n_hhusewarnetinternet = 0 if warnetforinternet == 0
rename b7r5b1 officeforinternet
replace officeforinternet = 0 if officeforinternet == 2
rename b7r5b2 n_hhofficeinternet
replace n_hhofficeinternet = 0 if officeforinternet == 0
rename b7r5c1 otherforinternet
replace otherforinternet = 0 if otherforinternet == 2
rename b7r5c2 n_hhotherinternet
replace n_hhotherinternet = 0 if otherforinternet == 0

bysort b1r1-b1r8: gen n=_n
keep if n == 1

**renaming variables**
rename b1r1 provincecode
rename b1r2 districtcode
rename b1r3 subdistrictcode
rename b1r4 villagecode
rename b1r5 urban
replace urban = 0 if urban == 2
rename b1r7 samplecode
rename b1r8 HHsamplecode
rename b2r3 hhsize
tab b6r1, gen(houseownership)
* (unavailable) rename b6r2 area 
tab b6r3a, gen(watersource)
rename b6r3b watersanitation
gen cleanwatersanitation = 1 if watersanitation == 2
replace cleanwatersanitation = 0 if watersanitation != 2
replace cleanwatersanitation=1 if b6r3a == 1 | b6r3a == 2
replace cleanwatersanitation=1 if b6r3a == 8 | b6r3a == 9 | b6r3a == 0
drop watersanitation
tab b6r4, gen(toiletownership)
rename b8br25 month_exp
gen month_pcexp=month_exp/hhsize

drop b6r1
rename houseownership1 ownhouse
rename houseownership2 lease
rename houseownership3 rent
rename houseownership4 freelease
rename houseownership5 companyhouse
rename houseownership6 familyhouse
rename houseownership7 otherhouse

drop b6r3a
rename watersource1 otherdrinkwater 
rename watersource2 bottleddrinkwater
rename watersource3 pipedrinkwater
rename watersource4 pumpdrinkwater
rename watersource5 protectedwelldrinkwater
rename watersource6 unprotectedwelldrinkwater
rename watersource7 protectedspringdrinkwater
rename watersource8 unprotectedspringdrinkwater
rename watersource9 riverdrinkwater
rename watersource10 raindrinkwater

drop b6r4
rename toiletownership1 personaltoilet
rename toiletownership2 mutualtoilet
rename toiletownership3 publictoilet
rename toiletownership4 noaccesstotoilet

drop b7r4 n

saveold "$interim/varsus05jul.dta", replace

************************************************************************************************
************************************************2006********************************************
************************************************************************************************

**March**
/**HH identifier (b1r1-b1r8), percapita expenditure, the assigned variables are blank, need proxies (b8ar15 b8br22k2), 
housing questions including toilet but only ownership, no type (b6r1-b6r4), weights (weind wert), 
telecommunication (b7r1-b7r5c2), no asset questions**/
clear
use "$KOR/susenas06feb_kr.dta"
merge 1:m b1r1-b1r8 using "$KOR/susenas06feb_ki.dta"
drop _m
**demographic characteristic
gen female= 1 if jenkel==2
replace female=0 if female==.
gen male= 1 if jenkel==1
replace male=0 if male==.
gen child=1 if hubkel==3
replace child=0 if child==.
bysort b1r1-b1r8: egen totalfemale= total(female)
bysort b1r1-b1r8: egen totalmale= total(male)
bysort b1r1-b1r8: egen totalchild= total(child)
bysort b1r1-b1r8: gen n=_n
keep if n == 1
keep b1r1-b1r8 jart b6r1-b6r4 b7* b8ar15 b8br22k2 weind wert totalmale totalfemale totalchild

**renaming variables**
rename b1r1 provincecode
rename b1r2 districtcode
rename b1r3 subdistrictcode
rename b1r4 villagecode
rename b1r5 urban
replace urban = 0 if urban == 2
rename b1r7 samplecode
rename b1r8 HHsamplecode
rename jart hhsize
tab b6r1, gen(houseownership)
rename b6r2 area 
tab b6r3a, gen(watersource)
rename b6r3b watersanitation
gen cleanwatersanitation = 1 if watersanitation == 2
replace cleanwatersanitation = 0 if watersanitation != 2
replace cleanwatersanitation=1 if b6r3a == 1 | b6r3a == 2
replace cleanwatersanitation=1 if b6r3a == 8 | b6r3a == 9 | b6r3a == 0
drop watersanitation
tab b6r4, gen(toiletownership)

gen month_exp= b8ar15*(30/7) + b8br22k2/12 
rename b8ar15 month_food
rename b8br22k2 year_nonfood
gen month_pcexp = month_exp/hhsize
rename wert06 wert

drop b6r1
rename houseownership1 ownhouse
rename houseownership2 lease
rename houseownership3 rent
rename houseownership4 freelease
rename houseownership5 companyhouse
rename houseownership6 familyhouse
rename houseownership7 otherhouse

drop b6r3a
rename watersource1 otherdrinkwater 
rename watersource2 bottleddrinkwater
rename watersource3 pipedrinkwater
rename watersource4 pumpdrinkwater
rename watersource5 protectedwelldrinkwater
rename watersource6 unprotectedwelldrinkwater
rename watersource7 protectedspringdrinkwater
rename watersource8 unprotectedspringdrinkwater
rename watersource9 riverdrinkwater
rename watersource10 raindrinkwater

drop b6r4
rename toiletownership1 personaltoilet
rename toiletownership2 mutualtoilet
rename toiletownership3 publictoilet
rename toiletownership4 noaccesstotoilet

rename b7r1 telephone
replace telephone = 0 if telephone == 2
rename b7r2a cellphone
replace cellphone = 0 if cellphone == 2
rename b7r2b n_hhcellphone
replace n_hhcellphone = 0 if cellphone  == 0
rename b7r3 computer
replace computer = 0 if computer == 2
rename b7r4a computerforinternet
replace computerforinternet = 0 if computerforinternet == 2
rename b7r4b n_hhmemberusecompinternet
replace n_hhmemberusecompinternet = 0 if computerforinternet == 0
rename b7r5a1 warnetforinternet
replace warnetforinternet = 0 if warnetforinternet == 2
rename b7r5a2 n_hhwarnetinternet
replace n_hhwarnetinternet = 0 if warnetforinternet == 0
rename b7r5b1 officeforinternet
replace officeforinternet = 0 if officeforinternet == 2
rename b7r5b2 n_hhofficeinternet
replace n_hhofficeinternet = 0 if officeforinternet == 0
rename b7r5c1 otherforinternet
replace otherforinternet = 0 if otherforinternet == 2
rename b7r5c2 n_hhotherinternet
replace n_hhotherinternet = 0 if otherforinternet == 0

**NOTE: 1 HH month_pcexp == 0 - make sure the calculation is right with Christy**
drop month_food year_nonfood weind

saveold "$interim/varsus06mar.dta", replace

**July**
/**HH identifier (b1r1-b1r8), monthly percapita exp (b7r25), housing including toilet ownerhip and type (b6r1-b6r11), 
telecommunication (b9r1-b9r5c2), weights (weind wert), no asset question**/
clear
use "$KOR/susenas06jul_kr.dta"
merge 1:m b1r1-b1r8 using "$KOR/susenas06jul_ki.dta"
drop _m
**demographic characteristic
gen female= 1 if jk==2
replace female=0 if female==.
gen male= 1 if jk==1
replace male=0 if male==.
gen child=1 if hb==3
replace child=0 if child==.
bysort b1r1-b1r8: egen totalfemale= total(female)
bysort b1r1-b1r8: egen totalmale= total(male)
bysort b1r1-b1r8: egen totalchild= total(child)
bysort b1r1-b1r8: gen n=_n
keep if n == 1
keep b1r1-b1r8 b2r2 b6r* b9r* b7r25 weind wert totalfemale totalmale totalchild

**renaming variables**
rename b1r1 provincecode
rename b1r2 districtcode
rename b1r3 subdistrictcode
rename b1r4 villagecode
rename b1r5 urban
replace urban = 0 if urban == 2
rename b1r7 samplecode
rename b1r8 HHsamplecode
rename b2r2 hhsize
tab b6r1, gen(houseownership)
tab b6r2, gen(rooftype)
tab b6r3, gen(walltype)
tab b6r4, gen(floortype)
rename b6r5 area
tab b6r6a, gen(watersource)
rename b6r6b watersanitation
gen cleanwatersanitation = 1 if watersanitation == 2
replace cleanwatersanitation = 0 if watersanitation != 2
replace cleanwatersanitation=1 if b6r6a == 1 | b6r6a == 2
replace cleanwatersanitation=1 if b6r6a == 8 | b6r6a == 9 | b6r6a == 0
drop watersanitation
rename b6r8 buyingdrinkwater
replace buyingdrinkwater = 0 if buyingdrinkwater == 2
replace buyingdrinkwater = . if b6r6a == 1
replace b6r7 = 1 if b6r6a == 1
tab b6r7, gen(waterownership)
tab b6r9a, gen(toiletownership)
tab b6r9b, gen(toilettype)
tab b6r9c, gen(finaldisposal)
tab b6r10, gen(electricitytype)
rename b7r25 month_exp
gen month_pcexp=month_exp/hhsize

drop b6r1
rename houseownership1 ownhouse
rename houseownership2 lease
rename houseownership3 rent
rename houseownership4 freelease
rename houseownership5 companyhouse
rename houseownership6 familyhouse
rename houseownership7 otherhouse

drop b6r2
rename rooftype1 concreteroof
rename rooftype2 tileroof
rename rooftype3 shingleroof
rename rooftype4 ironsheetroof
rename rooftype5 asbestosroof
rename rooftype6 fiberpalmroof
rename rooftype7 otherroof

drop b6r3
rename walltype1 concretewall
rename walltype2 woodwall
rename walltype3 bamboowall
rename walltype4 otherwall

drop b6r4
rename floortype1 notsoilfloor
rename floortype2 soilfloor
drop notsoilfloor 

drop b6r6a
rename watersource1 otherdrinkwater 
rename watersource2 bottleddrinkwater
rename watersource3 pipedrinkwater
rename watersource4 pumpdrinkwater
rename watersource5 protectedwelldrinkwater
rename watersource6 unprotectedwelldrinkwater
rename watersource7 protectedspringdrinkwater
rename watersource8 unprotectedspringdrinkwater
rename watersource9 riverdrinkwater
rename watersource10 raindrinkwater

drop b6r7
rename waterownership1 personalwaterownership
rename waterownership2 mutualwaterownership
rename waterownership3 publicwaterownership
rename waterownership4 noaccessdrinkwater

drop b6r9a
rename toiletownership1 personaltoilet
rename toiletownership2 mutualtoilet
rename toiletownership3 publictoilet
rename toiletownership4 noaccesstotoilet

drop b6r9b
rename toilettype1 goosetoilet
replace goosetoilet = 0 if goosetoilet == . & noaccesstotoilet == 1
rename toilettype2 pitttoilet
replace pitttoilet = 0 if pitttoilet == . & noaccesstotoilet == 1
rename toilettype3 squattoilet
replace squattoilet = 0 if squattoilet == . & noaccesstotoilet == 1
rename toilettype4 notoilet
replace notoilet = 0 if notoilet == . & noaccesstotoilet == 1

* toilet interaction
gen personalgoosetoilet = personaltoilet*goosetoilet
gen personalpitttoilet = personaltoilet*pitttoilet
gen personalsquattoilet = personaltoilet*squattoilet
gen personalnotoilet = personaltoilet*notoilet
gen mutualgoosetoilet = mutualtoilet*goosetoilet
gen mutualpitttoilet = mutualtoilet*pitttoilet
gen mutualsquattoilet = mutualtoilet*squattoilet
gen mutualnotoilet = mutualtoilet*notoilet
gen publicgoosetoilet = publictoilet*goosetoilet
gen publicpitttoilet = publictoilet*pitttoilet
gen publicsquattoilet = publictoilet*squattoilet
gen publicnotoilet = publictoilet*notoilet

drop b6r9c
rename finaldisposal1 septicdisposal
rename finaldisposal2 pooldisposal
rename finaldisposal3 riverdisposal
rename finaldisposal4 pitholedisposal
rename finaldisposal5 opendisposal
rename finaldisposal6 otherdisposal

drop b6r10
rename electricitytype1 PLNelectricity
rename electricitytype2 nonPLNelectricity
rename electricitytype3 parrafinlamp
rename electricitytype4 oillamp
rename electricitytype5 otherelectricity

rename b6r11a month_exp_electricityPLN
rename b6r11b month_exp_kerosene
rename b6r11c month_exp_woodfire

rename b9r1 telephone
replace telephone = 0 if telephone == 2
rename b9r2a cellphone
replace cellphone = 0 if cellphone == 2
rename b9r2b n_hhcellphone
replace n_hhcellphone= 0 if cellphone == 0
rename b9r3 computer
replace computer = 0 if computer == 2
rename b9r4a computerforinternet
replace computerforinternet = 0 if computerforinternet == 2
replace computerforinternet = 2 if computer == 0
rename b9r4b n_hhmemberusecomputerinternet
replace n_hhmemberusecomputerinternet = 0 if computerforinternet == 0
replace n_hhmemberusecomputerinternet = 0 if n_hhmemberusecomputerinternet ==.
rename b9r5a2 warnetforinternet
replace warnetforinternet = 0 if warnetforinternet == 2
rename b9r5a3 n_hhwarnetinternet
replace n_hhwarnetinternet = 0 if n_hhwarnetinternet ==.
rename b9r5b2 officeforinternet
replace officeforinternet = 0 if officeforinternet == 2
rename b9r5b3 n_hhofficeinternet
replace n_hhofficeinternet = 0 if n_hhofficeinternet ==.
rename b9r5c2 otherforinternet
replace otherforinternet = 0 if otherforinternet == 2
rename b9r5c3 n_hhotherinternet
replace n_hhotherinternet = 0 if n_hhotherinternet ==.
drop month_exp_* weind

saveold "$interim/varsus06jul.dta", replace

************************************************************************************************
************************************************2007********************************************
************************************************************************************************

**February**
/**HH identifier (b1r1-b1r8), housing including toilet ownerhip and type (b6r1-b6r10), 
telecommunication (b9r1-b9r5c2), weights (weind wert), no asset question, no monthly percapita exp**/

clear
use "$MODULE/susenas07feb_43.dta"
gen b1r1=prop
gen b1r2=kabu
gen b1r3=keca
gen b1r4=desa
gen b1r5=daer
gen b1r7=nks
gen b1r8=nurt

saveold "$interim/susenas07feb_43_cleaned.dta", replace

use "$KOR/susenas07feb_kr.dta"
merge 1:m b1r1-b1r8 using "$KOR/susenas07feb_ki.dta"
drop _m
**demographic characteristic
gen female= 1 if jk==2
replace female=0 if female==.
gen male= 1 if jk==1
replace male=0 if male==.
gen child=1 if hb==3
replace child=0 if child==.
bysort b1r1-b1r8: egen totalfemale= total(female)
bysort b1r1-b1r8: egen totalmale= total(male)
bysort b1r1-b1r8: egen totalchild= total(child)
bysort b1r1-b1r8: gen n=_n
keep if n == 1
drop n
merge 1:m b1r1-b1r8 using "$interim/susenas07feb_43_cleaned.dta"
keep if _m==3
**2,393 dropped**

keep b1r1-b1r8 b2r2 b6r1-b6r10 weind wert totalfemale totalmale totalchild

**renaming variables**
rename b1r1 provincecode
rename b1r2 districtcode
rename b1r3 subdistrictcode
rename b1r4 villagecode
rename b1r5 urban
replace urban = 0 if urban == 2
rename b1r7 samplecode
rename b1r8 HHsamplecode
rename b2r2 hhsize
tab b6r1, gen(houseownership)
tab b6r2, gen(rooftype)
tab b6r3, gen(walltype)
tab b6r4, gen(floortype)
rename b6r5 area
tab b6r6a, gen(watersource)

rename b6r6b watersanitation
gen cleanwatersanitation = 1 if watersanitation == 2
replace cleanwatersanitation = 0 if watersanitation != 2
replace cleanwatersanitation=1 if b6r6a == 1 | b6r6a == 2
replace cleanwatersanitation=1 if b6r6a == 8 | b6r6a == 9 | b6r6a == 0
drop watersanitation
rename b6r8 buyingdrinkwater
replace buyingdrinkwater = 0 if buyingdrinkwater == 2
replace buyingdrinkwater = 1 if b6r6a == 1
replace b6r7= 1 if b6r6a == 1
tab b6r7, gen(waterownership)
tab b6r9a, gen(toiletownership)
tab b6r9b, gen(toilettype)
tab b6r9c, gen(finaldisposal)
tab b6r10, gen(electricitytype)
*rename b43r24k4 month_pcexp

drop b6r1
rename houseownership1 ownhouse
rename houseownership2 lease
rename houseownership3 rent
rename houseownership4 freelease
rename houseownership5 companyhouse
rename houseownership6 familyhouse
rename houseownership7 otherhouse

drop b6r2
rename rooftype1 concreteroof
rename rooftype2 tileroof
rename rooftype3 shingleroof
rename rooftype4 ironsheetroof
rename rooftype5 asbestosroof
rename rooftype6 fiberpalmroof
rename rooftype7 otherroof

drop b6r3
rename walltype1 concretewall
rename walltype2 woodwall
rename walltype3 bamboowall
rename walltype4 otherwall

drop b6r4
rename floortype1 notsoilfloor
rename floortype2 soilfloor
drop notsoilfloor

drop b6r6a
rename watersource1 otherdrinkwater
rename watersource2 bottleddrinkwater
rename watersource3 pipedrinkwater
rename watersource4 pumpdrinkwater
rename watersource5 protectedwelldrinkwater
rename watersource6 unprotectedwelldrinkwater
rename watersource7 protectedspringdrinkwater
rename watersource8 unprotectedspringdrinkwater
rename watersource9 riverdrinkwater
rename watersource10 raindrinkwater

drop b6r7
rename waterownership1 personalwater
rename waterownership2 mutualwater
rename waterownership3 publicwater
rename waterownership4 noaccessdrinkwater

drop b6r9a
rename toiletownership1 personaltoilet
rename toiletownership2 mutualtoilet
rename toiletownership3 publictoilet
rename toiletownership4 noaccesstotoilet

drop b6r9b
rename toilettype1 goosetoilet
replace goosetoilet = 0 if goosetoilet == . & noaccesstotoilet == 1
rename toilettype2 pitttoilet
replace pitttoilet = 0 if pitttoilet == . & noaccesstotoilet == 1
rename toilettype3 squattoilet
replace squattoilet = 0 if squattoilet == . & noaccesstotoilet == 1
rename toilettype4 notoilet
replace notoilet = 0 if notoilet == . & noaccesstotoilet == 1

* toilet interaction
gen personalgoosetoilet = personaltoilet*goosetoilet
gen personalpitttoilet = personaltoilet*pitttoilet
gen personalsquattoilet = personaltoilet*squattoilet
gen personalnotoilet = personaltoilet*notoilet
gen mutualgoosetoilet = mutualtoilet*goosetoilet
gen mutualpitttoilet = mutualtoilet*pitttoilet
gen mutualsquattoilet = mutualtoilet*squattoilet
gen mutualnotoilet = mutualtoilet*notoilet
gen publicgoosetoilet = publictoilet*goosetoilet
gen publicpitttoilet = publictoilet*pitttoilet
gen publicsquattoilet = publictoilet*squattoilet
gen publicnotoilet = publictoilet*notoilet

drop b6r9c
rename finaldisposal1 septicdisposal
rename finaldisposal2 pooldisposal
rename finaldisposal3 riverdisposal
rename finaldisposal4 pitholedisposal
rename finaldisposal5 opendisposal
rename finaldisposal6 otherdisposal

drop b6r10
rename electricitytype1 PLNelectricity
rename electricitytype2 nonPLNelectricity
rename electricitytype3 parrafinlamp
rename electricitytype4 oillamp
rename electricitytype5 otherelectricity
drop weind 
saveold "$interim/varsus07feb", replace

**July**
/**HH identifier (b1r1-b1r8), housing including toilet ownerhip and type (b6r1-b6r11), 
telecommunication (b9r1-b9r5d3), weights (weind wert), monthly percapita exp (b7r25), no asset question, **/
use "$KOR/susenas07jul_kr.dta"
merge 1:m b1r1-b1r8 using "$KOR/susenas07jul_ki.dta"
drop _m
**demographic characteristic
gen female= 1 if jk==2
replace female=0 if female==.
gen male= 1 if jk==1
replace male=0 if male==.
gen child=1 if hb==3
replace child=0 if child==.
bysort b1r1-b1r8: egen totalfemale= total(female)
bysort b1r1-b1r8: egen totalmale= total(male)
bysort b1r1-b1r8: egen totalchild= total(child)
bysort b1r1-b1r8: gen n=_n
keep if n == 1
drop n
keep b1r1-b1r8 jart b6r* b9r* b7r25 weind wert totalfemale totalmale totalchild

**renaming variables**
rename b1r1 provincecode
rename b1r2 districtcode
rename b1r3 subdistrictcode
rename b1r4 villagecode
rename b1r5 urban
replace urban = 0 if urban == 2
rename b1r7 samplecode
rename b1r8 HHsamplecode
rename jart hhsize
tab b6r1, gen(houseownership)
tab b6r2, gen(rooftype)
tab b6r3, gen(walltype)
tab b6r4, gen(floortype)
rename b6r5a area
rename b6r5b unitarea
tab b6r6a, gen(watersource)
rename b6r6b watersanitation
gen cleanwatersanitation = 1 if watersanitation == 2
replace cleanwatersanitation = 0 if watersanitation != 2
replace cleanwatersanitation = 1 if b6r6a == 1 | b6r6a == 2 | b6r6a == 3
replace cleanwatersanitation = 1 if b6r6a == 8 | b6r6a == 9 | b6r6a == 0
drop watersanitation
tab b6r7, gen(waterownership)
rename b6r8 buyingdrinkwater
replace buyingdrinkwater = 0 if buyingdrinkwater == 2
tab b6r9a, gen(toiletownership)
tab b6r9b, gen(toilettype)
tab b6r9c, gen(finaldisposal)
tab b6r10, gen(electricitytype)
tab b6r11, gen(energysource)
rename b7r25 month_pcexp
rename wert27 wert
rename weind27 weind

drop b6r1
rename houseownership1 ownhouse
rename houseownership2 lease
rename houseownership3 rent
rename houseownership4 freelease
rename houseownership5 companyhouse
rename houseownership6 familyhouse
rename houseownership7 otherhouse

drop b6r2
rename rooftype1 concreteroof
rename rooftype2 tileroof
rename rooftype3 shingleroof
rename rooftype4 ironsheetroof
rename rooftype5 asbestosroof
rename rooftype6 fiberpalmroof
rename rooftype7 otherroof

drop b6r3
rename walltype1 concretewall
rename walltype2 woodwall
rename walltype3 bamboowall
rename walltype4 otherwall

drop b6r4
rename floortype1 notsoilfloor
rename floortype2 soilfloor
drop notsoilfloor

drop b6r6a
rename watersource1 otherdrinkwater
rename watersource2 bottleddrinkwater
rename watersource3 pipeddrinkwater
rename watersource4 pumpdrinkwater
rename watersource5 protectedwelldrinkwater
rename watersource6 unprotectedwelldrinkwater
rename watersource7 protectedspringdrinkwater
rename watersource8 unprotectedspringdrinkwater
rename watersource9 riverdrinkwater
rename watersource10 raindrinkwater

drop b6r7
rename waterownership1 personalwaterownership
rename waterownership2 mutualwaterownership
rename waterownership3 publicwaterownership
rename waterownership4 noaccesswater

drop b6r9a
rename toiletownership1 personaltoilet
rename toiletownership2 mutualtoilet
rename toiletownership3 publictoilet
rename toiletownership4 noaccesstotoilet

drop b6r9b
rename toilettype1 goosetoilet
replace goosetoilet = 0 if goosetoilet == . & noaccesstotoilet == 1
rename toilettype2 pitttoilet
replace pitttoilet = 0 if pitttoilet == . & noaccesstotoilet == 1
rename toilettype3 squattoilet
replace squattoilet = 0 if squattoilet == . & noaccesstotoilet == 1
rename toilettype4 notoilet
replace notoilet = 0 if notoilet == . & noaccesstotoilet == 1

* toilet interaction
gen personalgoosetoilet = personaltoilet*goosetoilet
gen personalpitttoilet = personaltoilet*pitttoilet
gen personalsquattoilet = personaltoilet*squattoilet
gen personalnotoilet = personaltoilet*notoilet
gen mutualgoosetoilet = mutualtoilet*goosetoilet
gen mutualpitttoilet = mutualtoilet*pitttoilet
gen mutualsquattoilet = mutualtoilet*squattoilet
gen mutualnotoilet = mutualtoilet*notoilet
gen publicgoosetoilet = publictoilet*goosetoilet
gen publicpitttoilet = publictoilet*pitttoilet
gen publicsquattoilet = publictoilet*squattoilet
gen publicnotoilet = publictoilet*notoilet

drop b6r9c
rename finaldisposal1 septicdisposal
rename finaldisposal2 pooldisposal
rename finaldisposal3 riverdisposal
rename finaldisposal4 pitholedisposal
rename finaldisposal5 opendisposal
rename finaldisposal6 otherdisposal

drop b6r10
rename electricitytype1 PLNelectricity
rename electricitytype2 nonPLNelectricity
rename electricitytype3 parrafinlamp
rename electricitytype4 oillamp
rename electricitytype5 otherelectricity

drop b6r11
rename energysource1 electricity
rename energysource2 lpgas
rename energysource3 kerosene
rename energysource4 charcoal
rename energysource5 firewood
rename energysource6 otherenergy

rename b9r1 telephone
replace telephone = 0 if telephone == 2
rename b9r2a cellphone
replace cellphone = 0 if cellphone == 2
rename b9r2b n_hhcellphone
rename b9r3 computer
replace computer = 0 if computer == 2
rename b9r4a computerforinternet
replace computerforinternet = 0 if computerforinternet == 2
replace computerforinternet=0 if computerforinternet==.
rename b9r4b n_hhmemberusecomputerinternet
replace n_hhmemberusecomputerinternet=0 if n_hhmemberusecomputerinternet==.
rename b9r5a2 warnetforinternet
replace warnetforinternet = 0 if warnetforinternet == 2
rename b9r5a3 n_hhwarnetinternet
replace n_hhwarnetinternet=0 if n_hhwarnetinternet==.
rename b9r5b2 officeforinternet
replace officeforinternet = 0 if officeforinternet == 2
rename b9r5b3 n_hhofficeinternet
replace n_hhofficeinternet=0 if n_hhofficeinternet==.
rename b9r5c2 schoolforinternet
replace schoolforinternet = 0 if schoolforinternet == 2
rename b9r5c3 n_hhschoolinternet
replace n_hhschoolinternet=0 if n_hhschoolinternet==.
rename b9r5d2 otherforinternet
replace otherforinternet = 0 if otherforinternet == 2
rename b9r5d3 n_hhotherinternet
replace n_hhotherinternet=0 if n_hhotherinternet==.

saveold "$interim/varsus07jul.dta", replace

************************************************************************************************
************************************************2008********************************************
************************************************************************************************

**March**
/** HH identifier (b1r1-b1r8), percapita expenditure (b43r24k4), housing questions including toilet (b6r1-b6r10), 
weights (weind wert), no asset questions, no telecommunication**/
clear
use "$KOR/susenas08mar_kr.dta"
merge 1:m b1r1-b1r8 using "$KOR/susenas08mar_ki.dta"
drop _m
**demographic characteristic
gen female= 1 if b4k4==2
replace female=0 if female==.
gen male= 1 if b4k4==1
replace male=0 if male==.
gen child=1 if b4k3==3
replace child=0 if child==.
bysort b1r1-b1r8: egen totalfemale= total(female)
bysort b1r1-b1r8: egen totalmale= total(male)
bysort b1r1-b1r8: egen totalchild= total(child)
bysort b1r1-b1r8: gen n=_n
keep if n == 1
drop n
merge 1:m b1r1-b1r8 using "$MODULE/susenas08mar_43.dta"

keep b1r1-b1r8 b2r1 b43r25 kapita b6* weind wert totalmale totalfemale totalchild

**renaming variables**
rename b1r1 provincecode
rename b1r2 districtcode
rename b1r3 subdistrictcode
rename b1r4 villagecode
rename b1r5 urban
replace urban = 0 if urban == 2
rename b1r7 samplecode
rename b1r8 HHsamplecode
rename b2r1 hhsize
tab b6r1, gen(houseownership)
tab b6r2, gen(rooftype)
tab b6r3, gen(walltype)
tab b6r4, gen(floortype)
rename b6r5 area
tab b6r6a, gen(watersource)
rename b6r6b watersanitation
gen cleanwatersanitation = 1 if watersanitation == 2
replace cleanwatersanitation = 0 if watersanitation != 2
replace cleanwatersanitation = . if b6r6a == 1 | b6r6a == 2 | b6r6a == 3
replace b6r7 = . if b6r6a == 1 | b6r6a == 2 | b6r6a == 3
tab b6r7, gen(waterownership)
rename b6r8 buyingdrinkwater
replace buyingdrinkwater = 0 if buyingdrinkwater == 2
tab b6r9a, gen(toiletownership)
tab b6r9b, gen(toilettype)
tab b6r9c, gen(finaldisposal)
tab b6r10, gen(electricitytype)
rename b43r25 month_exp
rename kapita month_pcexp

drop b6r1
rename houseownership1 ownhouse
rename houseownership2 lease
rename houseownership3 rent
rename houseownership4 freelease
rename houseownership5 companyhouse
rename houseownership6 familyhouse
rename houseownership7 otherhouse

drop b6r2
rename rooftype1 concreteroof
rename rooftype2 tileroof
rename rooftype3 shingleroof
rename rooftype4 ironsheetroof
rename rooftype5 asbestosroof
rename rooftype6 fiberpalmroof
rename rooftype7 otherroof

drop b6r3
rename walltype1 concretewall
rename walltype2 woodwall
rename walltype3 bamboowall
rename walltype4 otherwall

drop b6r4
rename floortype1 notsoilfloor
rename floortype2 soilfloor
drop notsoilfloor

drop b6r6a
rename watersource1 bottleddrinkwater
rename watersource2 refilldrinkwater
rename watersource3 retailpipedrinkwater
rename watersource4 meteredpipedrinkwater
rename watersource5 pumpdrinkwater
rename watersource6 protectedwelldrinkwater
rename watersource7 unprotectedwelldrinkwater
rename watersource8 protectedspringdrinkwater
rename watersource9 unprotectedspringdrinkwater
rename watersource10 riverdrinkwater
rename watersource11 raindrinkwater
rename watersource12 otherdrinkwater

drop b6r7
rename waterownership1 personalwater
rename waterownership2 mutualwater
rename waterownership3 publicwater
rename waterownership4 noaccessdrinkwater

drop b6r9a
rename toiletownership1 personaltoilet
rename toiletownership2 mutualtoilet
rename toiletownership3 publictoilet
rename toiletownership4 noaccesstotoilet

drop b6r9b
rename toilettype1 goosetoilet
replace goosetoilet = 0 if goosetoilet == . & noaccesstotoilet == 1
rename toilettype2 pitttoilet
replace pitttoilet = 0 if pitttoilet == . & noaccesstotoilet == 1
rename toilettype3 squattoilet
replace squattoilet = 0 if squattoilet == . & noaccesstotoilet == 1
rename toilettype4 notoilet
replace notoilet = 0 if notoilet == . & noaccesstotoilet == 1

* toilet interaction
gen personalgoosetoilet = personaltoilet*goosetoilet
gen personalpitttoilet = personaltoilet*pitttoilet
gen personalsquattoilet = personaltoilet*squattoilet
gen personalnotoilet = personaltoilet*notoilet
gen mutualgoosetoilet = mutualtoilet*goosetoilet
gen mutualpitttoilet = mutualtoilet*pitttoilet
gen mutualsquattoilet = mutualtoilet*squattoilet
gen mutualnotoilet = mutualtoilet*notoilet
gen publicgoosetoilet = publictoilet*goosetoilet
gen publicpitttoilet = publictoilet*pitttoilet
gen publicsquattoilet = publictoilet*squattoilet
gen publicnotoilet = publictoilet*notoilet

drop b6r9c
rename finaldisposal1 septicdisposal
rename finaldisposal2 pooldisposal
rename finaldisposal3 riverdisposal
rename finaldisposal4 pitholedisposal
rename finaldisposal5 opendisposal
rename finaldisposal6 otherdisposal

drop b6r10
rename electricitytype1 PLNelectricity
rename electricitytype2 nonPLNelectricity
rename electricitytype3 parrafinlamp
rename electricitytype4 oillamp
rename electricitytype5 otherelectricity
 
saveold "$interim/varsus08mar.dta", replace

**July**
/** HH identifier (b1r1-b1r8), percapita expenditure (kapita), housing questions including toilet (b6r1-b6r11), 
weights (weind wert), telecommunication (b8r1-b8r4f3), no asset questions**/
clear
use "$KOR/susenas08jul_kr.dta"
merge 1:m b1r1-b1r8 using "$KOR/susenas08jul_ki.dta"
drop _m
**demographic characteristic
gen female= 1 if jk==2
replace female=0 if female==.
gen male= 1 if jk==1
replace male=0 if male==.
gen child=1 if hb==3
replace child=0 if child==.
bysort b1r1-b1r8: egen totalfemale= total(female)
bysort b1r1-b1r8: egen totalmale= total(male)
bysort b1r1-b1r8: egen totalchild= total(child)
bysort b1r1-b1r8: gen n=_n
keep if n == 1
drop n
gen b1r1_n=b1r1
drop b1r1
rename b1r1_n b1r1
gen b1r5_n=b1r5
drop b1r5
rename b1r5_n b1r5
tostring b1r1 b1r5, replace
order b1r1 b1r2 b1r3 b1r4 b1r5 b1r7 b1r8
sort b1r1-b1r8
merge 1:m b1r1-b1r8 using "$MODULE/susenas08jul_43.dta"
keep b1r1-b1r8 b2r1 kapita b6r* b8r* weind wert totalmale totalfemale totalchild

**renaming variables**
destring b1r1 b1r5, replace
rename b1r1 provincecode
rename b1r2 districtcode
rename b1r3 subdistrictcode
rename b1r4 villagecode
rename b1r5 urban
replace urban = 0 if urban == 2
rename b1r7 samplecode
rename b1r8 HHsamplecode
rename b2r1 hhsize
tab b6r1, gen(houseownership)
tab b6r2, gen(rooftype)
tab b6r3, gen(walltype)
tab b6r4, gen(floortype)
rename b6r5 area
tab b6r6a, gen(watersource)
rename b6r6b watersanitation
gen cleanwatersanitation = 1 if watersanitation == 2
replace cleanwatersanitation = 0 if watersanitation != 2
replace cleanwatersanitation = 1 if b6r6a == 1 | b6r6a == 2 | b6r6a == 4
replace cleanwatersanitation = 1 if b6r6a == 10 | b6r6a == 11 | b6r6a == 12
drop watersanitation
replace b6r7 = 1 if b6r6a == 1 | b6r6a == 2 | b6r6a == 4
tab b6r7, gen(waterownership)
rename b6r8 buyingdrinkwater
replace buyingdrinkwater = 0 if buyingdrinkwater == 2
tab b6r9a, gen(toiletownership)
tab b6r9b, gen(toilettype)
tab b6r9c, gen(finaldisposal)
tab b6r10a, gen(electricitytype)
replace b6r10b=0 if b6r10a!=1
tab b6r10b, gen(PLNpower)
replace b6r11=6 if b6r11==9 // no answer "9" in the questionnaire, so I change it to "otherenergy" 
tab b6r11, gen(energysource)
rename kapita month_pcexp

drop b6r1
rename houseownership1 ownhouse
rename houseownership2 lease
rename houseownership3 rent
rename houseownership4 freelease
rename houseownership5 companyhouse
rename houseownership6 familyhouse
rename houseownership7 otherhouse

drop b6r2
rename rooftype1 concreteroof
rename rooftype2 tileroof
rename rooftype3 shingleroof
rename rooftype4 ironsheetroof
rename rooftype5 asbestosroof
rename rooftype6 fiberpalmroof
rename rooftype7 otherroof

drop b6r3
rename walltype1 concretewall
rename walltype2 woodwall
rename walltype3 bamboowall
rename walltype4 otherwall

drop b6r4
rename floortype1 notsoilfloor
rename floortype2 soilfloor
drop notsoilfloor

drop b6r6a
rename watersource1 bottleddrinkwater
rename watersource2 refilldrinkwater
rename watersource3 retailpipedrinkwater
rename watersource4 meteredpipedrinkwater
rename watersource5 pumpdrinkwater
rename watersource6 protectedwelldrinkwater
rename watersource7 unprotectedwelldrinkwater
rename watersource8 protectedspringdrinkwater
rename watersource9 unprotectedspringdrinkwater
rename watersource10 riverdrinkwater
rename watersource11 raindrinkwater
rename watersource12 otherdrinkwater

drop b6r7
rename waterownership1 personalwater
rename waterownership2 mutualwater
rename waterownership3 publicwater
rename waterownership4 noaccessdrinkwater

drop b6r9a
rename toiletownership1 personaltoilet
rename toiletownership2 mutualtoilet
rename toiletownership3 publictoilet
rename toiletownership4 noaccesstotoilet

drop b6r9b
rename toilettype1 goosetoilet
replace goosetoilet = 0 if goosetoilet == . & noaccesstotoilet == 1
rename toilettype2 pitttoilet
replace pitttoilet = 0 if pitttoilet == . & noaccesstotoilet == 1
rename toilettype3 squattoilet
replace squattoilet = 0 if squattoilet == . & noaccesstotoilet == 1
rename toilettype4 notoilet
replace notoilet = 0 if notoilet == . & noaccesstotoilet == 1

* toilet interaction
gen personalgoosetoilet = personaltoilet*goosetoilet
gen personalpitttoilet = personaltoilet*pitttoilet
gen personalsquattoilet = personaltoilet*squattoilet
gen personalnotoilet = personaltoilet*notoilet
gen mutualgoosetoilet = mutualtoilet*goosetoilet
gen mutualpitttoilet = mutualtoilet*pitttoilet
gen mutualsquattoilet = mutualtoilet*squattoilet
gen mutualnotoilet = mutualtoilet*notoilet
gen publicgoosetoilet = publictoilet*goosetoilet
gen publicpitttoilet = publictoilet*pitttoilet
gen publicsquattoilet = publictoilet*squattoilet
gen publicnotoilet = publictoilet*notoilet

drop b6r9c
rename finaldisposal1 septicdisposal
rename finaldisposal2 pooldisposal
rename finaldisposal3 riverdisposal
rename finaldisposal4 pitholedisposal
rename finaldisposal5 opendisposal
rename finaldisposal6 otherdisposal

drop b6r10a
rename electricitytype1 PLNelectricity
rename electricitytype2 nonPLNelectricity
rename electricitytype3 parrafinlamp
rename electricitytype4 oillamp
rename electricitytype5 otherelectricity

drop b6r10b
rename PLNpower1 watt450
rename PLNpower2 watt900
rename PLNpower3 watt1300
rename PLNpower4 watt2200
rename PLNpower5 watt2200higher
rename PLNpower6 wattnometer

drop b6r11
rename energysource1 electricity
rename energysource2 lpgas
rename energysource3 kerosene
rename energysource4 charcoal
rename energysource5 firewood
rename energysource6 otherenergy


*Telecommunication
rename b8r1 telephone
replace telephone = 0 if telephone == 2
rename b8r2a cellphone
replace cellphone = 0 if cellphone == 2
rename b8r2b n_hhcellphone
replace n_hhcellphone = 0 if cellphone == 0
rename b8r3a computer
replace computer = 0 if computer == 2
rename b8r3b laptop
replace laptop = 0 if laptop == 2
rename b8r4a2 landlineforinternet
replace landlineforinternet = 0 if landlineforinternet == 2
rename b8r4a3 n_hhlandlineforinternet
replace n_hhlandlineforinternet=0 if n_hhlandlineforinternet==.
rename b8r4b2 cellphoneforinternet
replace cellphoneforinternet = 0 if cellphoneforinternet == 2
rename b8r4b3 n_hhcellphoneforinternet
replace n_hhcellphoneforinternet=0 if n_hhcellphoneforinternet==.
rename b8r4c2 warnetforinternet
replace warnetforinternet = 0 if warnetforinternet == 2
rename b8r4c3 n_hhwarnetforinternet
replace n_hhwarnetforinternet=0 if n_hhwarnetforinternet==.
rename b8r4d2 officeforinternet
replace officeforinternet = 0 if officeforinternet == 2
rename b8r4d3 n_hhofficeforinternet
replace n_hhofficeforinternet=0 if n_hhofficeforinternet==.
rename b8r4e2 schoolforinternet
replace schoolforinternet = 0 if schoolforinternet == 2
rename b8r4e3 n_hhschoolinternet
replace n_hhschoolinternet=0 if n_hhschoolinternet==.
rename b8r4f2 otherforinternet
replace otherforinternet = 0 if otherforinternet == 2
rename b8r4f3 n_hhotherinternet
replace n_hhotherinternet=0 if n_hhotherinternet==.

saveold "$interim/varsus08jul.dta", replace

************************************************************************************************
************************************************2009********************************************
************************************************************************************************

* consumption module 41 March 09/food
use "$MODULE/susenas09mar_41.dta", clear
gen b1r1_e=b1r1
drop b1r1
rename b1r1_e b1r1

 #delimit ; 
			keep if inlist(kode, 2,3,4,5,8,11,12,13,14,15,18
			                     21,22,23,24,25,26,27,28,29,30,
								 31,32,33,34,35,36,37,38,39,40,
								 41,42,43,44,45,46,47,48,49,50,
								 51,52,54,57,58,59,62,63,64,65,
								 68,72,73,74,75,79,80,81,82,86,
								 87,88,90,91,92,93,96,97,98,101,
								 102,103,108,109,110,112,116,122,
								 123,128,129,130,132,133,134,135
								 145,152,153,154,155,159,160,161,
								 162,168,169,170,171,172,175,176,
								 177,179,182,186,189,192,193,194,
								 195,196,198,199,200,201,202,203,
								 205,207,208,209,211,212,215,217,
								 219,220,221,222,224,225,226);
		    #delimit cr


order b1r1 b1r2 b1r3 b1r4 b1r5 b1r7 b1r8
keep b1r1-b1r8 kode b41k4 b41k5 b41k6 b41k7 b41k8 b41k9 

* missing values

local list b41k4 b41k5 b41k6 b41k7 b41k8 b41k9

foreach x of local list {
					count if `x'==.
					}
					
	//no missing values				
* data check 1: purchased food quantity and values

count if b41k4==0 & b41k5 !=0   
count if b41k5==0 & b41k4 !=0

* data check 2: produced food quantity and values

count if b41k6==0 & b41k7 !=0   
count if b41k7==0 & b41k7 !=0

*data check 3: total 

count if b41k4+b41k6 !=b41k8 //26718- this is fine just precision problem
g x=b41k4+b41k6
count if b41k8-x >1
drop x
count if b41k5+b41k7 !=b41k9

*generate total consumption value		
		
bysort b1r1-b1r8: egen food_consumpvalue_weekly=sum(b41k9)
keep b1r1-b1r8 food_consumpvalue_weekly 
gen food_consumption_monthly=food_consumpvalue_weekly*4
duplicates drop 

saveold "$interim/foodconsumption_mar2009.dta", replace


* consumption module 42/non food
use "$MODULE/susenas09mar_42.dta", clear
gen b1r1_e=b1r1
drop b1r1
rename b1r1_e b1r1

local list b42k3 b42k4 

			foreach x of local list {
								count if `x'==.
								}
			* data check : non-food quantity monthly vs yearly

			count if b42k3==0 & b42k4 !=0   //  771,299- they have yearly expenditure but no monthly expenditure
			count if b42k4==0 & b42k3 !=0   //0

*br hhid b42k1 b42k3 b42k4 if b42k3==0 & b42k4 !=
          
			keep if inlist(kode,230,261,303,312,330,337)
			order b1r1 b1r2 b1r3 b1r4 b1r5 b1r7 b1r8
			bysort b1r1-b1r8: egen nfood_expend_yearly=sum(b42k4)
			
			keep b1r1-b1r8 nfood_expend_yearly
            
			g nfood_expend_monthly=nfood_expend_yearly/12
			
			*we want weekly expenditure -so it is comparable to the rest of the food category
            g nfood_expend_weekly=nfood_expend_yearly/52

			duplicates drop

save "$interim/nfoodconsumption_mar2009.dta", replace

**March**
/** HH identifier (b1r1-b1r9), missing percapita expenditure in file, housing questions including toilet (b6r1-b6r10), 
weights (weind wert), no asset questions, no telecommunication**/
clear
use "$KOR/susenas09mar_kr.dta"
merge 1:m b1r1-b1r8 using "$KOR/susenas09mar_ki.dta"
drop _m
**demographic characteristic
gen female= 1 if jk==2
replace female=0 if female==.
gen male= 1 if jk==1
replace male=0 if male==.
gen child=1 if hb==3
replace child=0 if child==.
bysort b1r1-b1r8: egen totalfemale= total(female)
bysort b1r1-b1r8: egen totalmale= total(male)
bysort b1r1-b1r8: egen totalchild= total(child)
bysort b1r1-b1r8: gen n=_n
keep if n == 1
drop n
merge 1:m b1r1-b1r8 using "$MODULE/susenas09mar_43.dta"
drop _m

*merging with consumption food and non-food

merge 1:m b1r1-b1r8 using "$interim/foodconsumption_mar2009.dta"
drop _m
merge 1:m b1r1-b1r8 using "$interim/nfoodconsumption_mar2009.dta"

keep b1r1-b1r8 b2r1 b6r* food* nfood* weind wert totalmale totalfemale totalchild

**renaming variables**
rename b1r1 provincecode
rename b1r2 districtcode
rename b1r3 subdistrictcode
rename b1r4 villagecode
rename b1r5 urban
replace urban = 0 if urban == 2
rename b1r7 samplecode
rename b1r8 HHsamplecode
rename b2r1 hhsize
tab b6r1, gen(houseownership)
tab b6r2, gen(rooftype)
tab b6r3, gen(walltype)
tab b6r4, gen(floortype)
rename b6r5 area
tab b6r6a, gen(watersource)
rename b6r6b watersanitation
replace watersanitation = 2 if b6r6a == 1 | b6r6a == 2 | b6r6a == 3 | b6r6a == 4
replace watersanitation = 2 if b6r6a == 10 | b6r6a == 11 | b6r6a == 12
gen cleanwatersanitation = 1 if watersanitation == 2
replace cleanwatersanitation = 0 if watersanitation != 2
drop watersanitation
replace b6r7 = 1 if b6r6a == 1 | b6r6a == 2 | b6r6a == 3
tab b6r7, gen(waterownership)
rename b6r8 buyingdrinkwater
replace buyingdrinkwater = 0 if buyingdrinkwater == 2
tab b6r9a, gen(toiletownership)
tab b6r9b, gen(toilettype)
tab b6r9c, gen(finaldisposal)
tab b6r10, gen(electricitytype)
gen month_exp=food_consumption_monthly+nfood_expend_monthly
gen month_pcexp=month_exp/hhsize
rename wert09 wert
rename weind09 weind
drop food_consumpvalue_weekly food_consumption_monthly nfood*

drop b6r1
rename houseownership1 ownhouse
rename houseownership2 lease
rename houseownership3 rent
rename houseownership4 freelease
rename houseownership5 companyhouse
rename houseownership6 familyhouse
rename houseownership7 otherhouse

drop b6r2
rename rooftype1 concreteroof
rename rooftype2 tileroof
rename rooftype3 shingleroof
rename rooftype4 ironsheetroof
rename rooftype5 asbestosroof
rename rooftype6 fiberpalmroof
rename rooftype7 otherroof

drop b6r3
rename walltype1 concretewall
rename walltype2 woodwall
rename walltype3 bamboowall
rename walltype4 otherwall

drop b6r4
rename floortype1 notsoilfloor
rename floortype2 soilfloor
drop notsoilfloor

drop b6r6a
rename watersource1 bottleddrinkwater
rename watersource2 refilldrinkwater
rename watersource3 retailpipedrinkwater
rename watersource4 meteredpipedrinkwater
rename watersource5 pumpdrinkwater
rename watersource6 protectedwelldrinkwater
rename watersource7 unprotectedwelldrinkwater
rename watersource8 protectedspringdrinkwater
rename watersource9 unprotectedspringdrinkwater
rename watersource10 riverdrinkwater
rename watersource11 raindrinkwater
rename watersource12 otherdrinkwater

drop b6r7
rename waterownership1 personalwater
rename waterownership2 mutualwater
rename waterownership3 publicwater
rename waterownership4 noaccesswater

drop b6r9a
rename toiletownership1 personaltoilet
rename toiletownership2 mutualtoilet
rename toiletownership3 publictoilet
rename toiletownership4 noaccesstotoilet

drop b6r9b
rename toilettype1 goosetoilet
replace goosetoilet = 0 if goosetoilet == . & noaccesstotoilet == 1
rename toilettype2 pitttoilet
replace pitttoilet = 0 if pitttoilet == . & noaccesstotoilet == 1
rename toilettype3 squattoilet
replace squattoilet = 0 if squattoilet == . & noaccesstotoilet == 1
rename toilettype4 notoilet
replace notoilet = 0 if notoilet == . & noaccesstotoilet == 1

* toilet interaction
gen personalgoosetoilet = personaltoilet*goosetoilet
gen personalpitttoilet = personaltoilet*pitttoilet
gen personalsquattoilet = personaltoilet*squattoilet
gen personalnotoilet = personaltoilet*notoilet
gen mutualgoosetoilet = mutualtoilet*goosetoilet
gen mutualpitttoilet = mutualtoilet*pitttoilet
gen mutualsquattoilet = mutualtoilet*squattoilet
gen mutualnotoilet = mutualtoilet*notoilet
gen publicgoosetoilet = publictoilet*goosetoilet
gen publicpitttoilet = publictoilet*pitttoilet
gen publicsquattoilet = publictoilet*squattoilet
gen publicnotoilet = publictoilet*notoilet

drop b6r9c
rename finaldisposal1 septicdisposal
rename finaldisposal2 pooldisposal
rename finaldisposal3 riverdisposal
rename finaldisposal4 pitholedisposal
rename finaldisposal5 opendisposal
rename finaldisposal6 otherdisposal

drop b6r10
rename electricitytype1 PLNelectricity
rename electricitytype2 nonPLNelectricity
rename electricitytype3 parrafinlamp
rename electricitytype4 oillamp
rename electricitytype5 otherelectricity

saveold "$interim/varsus09mar.dta", replace

**July**
/** HH identifier (b1r1-b1r8), monthly expenditure (b7r25), housing questions including toilet (b6r1-b6r11), 
weights (weind wert), telecommunication (b9r1-b9r4e3), no asset questions**/
clear
use "$KOR/susenas09jul_kr.dta"
merge 1:m b1r1-b1r9 using "$KOR/susenas09jul_ki.dta"
drop _m
**demographic characteristic
gen female= 1 if jk==2
replace female=0 if female==.
gen male= 1 if jk==1
replace male=0 if male==.
gen child=1 if hb==3
replace child=0 if child==.
bysort b1r1-b1r8: egen totalfemale= total(female)
bysort b1r1-b1r8: egen totalmale= total(male)
bysort b1r1-b1r8: egen totalchild= total(child)
bysort b1r1-b1r9: gen n=_n
keep if n == 1
drop n
keep b1r1-b1r9 b2r1 b7r25 b6r* b9r* weind wert totalmale totalfemale totalchild

**renaming variables**
rename b1r1 provincecode
rename b1r2 districtcode
rename b1r3 subdistrictcode
rename b1r4 villagecode
rename b1r5 urban
replace urban = 0 if urban == 2
rename b1r6 coastal
replace coastal = 0 if coastal == 2
rename b1r8 samplecode
rename b1r9 HHsamplecode
rename b2r1 hhsize
tab b6r1, gen(houseownership)
tab b6r2, gen(rooftype)
tab b6r3, gen(walltype)
tab b6r4, gen(floortype)
rename b6r5 area
tab b6r6a, gen(watersource)
rename b6r6b watersanitation
replace watersanitation= . if b6r6a == 1 | b6r6a == 2 | b6r6a == 3 | b6r6a == 4
replace watersanitation= . if b6r6a == 10 | b6r6a == 11 | b6r6a == 12
gen cleanwatersanitation = 1 if watersanitation == 2
replace cleanwatersanitation = 0 if watersanitation != 2
replace b6r7= . if b6r6a == 1 | b6r6a == 2  | b6r6a == 4
tab b6r7, gen(waterownership)
rename b6r8 buyingdrinkwater
replace buyingdrinkwater = 0 if buyingdrinkwater == 2
tab b6r9a, gen(toiletownership)
tab b6r9b, gen(toilettype)
tab b6r9c, gen(finaldisposal)
tab b6r10a, gen(electricitytype)
replace b6r10b = 0 if b6r10a!=1
tab b6r10b, gen(PLNpower)
tab b6r11, gen(energysource)
rename b7r25 month_exp
gen month_pcexp= month_exp/hhsize
rename wert29 wert

drop b6r1
rename houseownership1 ownhouse
rename houseownership2 lease
rename houseownership3 rent
rename houseownership4 freelease
rename houseownership5 companyhouse
rename houseownership6 familyhouse
rename houseownership7 otherhouse

drop b6r2
rename rooftype1 concreteroof
rename rooftype2 tileroof
rename rooftype3 shingleroof
rename rooftype4 ironsheetroof
rename rooftype5 asbestosroof
rename rooftype6 fiberpalmroof
rename rooftype7 otherroof

drop b6r3
rename walltype1 concretewall
rename walltype2 woodwall
rename walltype3 bamboowall
rename walltype4 otherwall

drop b6r4
rename floortype1 notsoilfloor
rename floortype2 soilfloor
drop notsoilfloor

drop b6r6a
rename watersource1 bottleddrinkwater
rename watersource2 refilldrinkwater
rename watersource3 retailpipedrinkwater
rename watersource4 meteredpipedrinkwater
rename watersource5 pumpdrinkwater
rename watersource6 protectedwelldrinkwater
rename watersource7 unprotectedwelldrinkwater
rename watersource8 protectedspringdrinkwater
rename watersource9 unprotectedspringdrinkwater
rename watersource10 riverdrinkwater
rename watersource11 raindrinkwater
rename watersource12 otherdrinkwater

drop b6r7
rename waterownership1 personalwater
rename waterownership2 mutualwater
rename waterownership3 publicwater
rename waterownership4 noaccessdrinkwater

drop b6r9a
rename toiletownership1 personaltoilet
rename toiletownership2 mutualtoilet
rename toiletownership3 publictoilet
rename toiletownership4 noaccesstotoilet

drop b6r9b
rename toilettype1 goosetoilet
replace goosetoilet = 0 if goosetoilet == . & noaccesstotoilet == 1
rename toilettype2 pitttoilet
replace pitttoilet = 0 if pitttoilet == . & noaccesstotoilet == 1
rename toilettype3 squattoilet
replace squattoilet = 0 if squattoilet == . & noaccesstotoilet == 1
rename toilettype4 notoilet
replace notoilet = 0 if notoilet == . & noaccesstotoilet == 1

* toilet interaction
gen personalgoosetoilet = personaltoilet*goosetoilet
gen personalpitttoilet = personaltoilet*pitttoilet
gen personalsquattoilet = personaltoilet*squattoilet
gen personalnotoilet = personaltoilet*notoilet
gen mutualgoosetoilet = mutualtoilet*goosetoilet
gen mutualpitttoilet = mutualtoilet*pitttoilet
gen mutualsquattoilet = mutualtoilet*squattoilet
gen mutualnotoilet = mutualtoilet*notoilet
gen publicgoosetoilet = publictoilet*goosetoilet
gen publicpitttoilet = publictoilet*pitttoilet
gen publicsquattoilet = publictoilet*squattoilet
gen publicnotoilet = publictoilet*notoilet

drop b6r9c
rename finaldisposal1 septicdisposal
rename finaldisposal2 pooldisposal
rename finaldisposal3 riverdisposal
rename finaldisposal4 pitholedisposal
rename finaldisposal5 opendisposal
rename finaldisposal6 otherdisposal

drop b6r10a
rename electricitytype1 PLNelectricity
rename electricitytype2 nonPLNelectricity
rename electricitytype3 parrafinlamp
rename electricitytype4 oillamp
rename electricitytype5 otherelectricity

drop b6r10b
rename PLNpower1 watt450
rename PLNpower2 watt900
rename PLNpower3 watt1300
rename PLNpower4 watt2200
rename PLNpower5 watt2200higher
rename PLNpower6 wattnometer

drop b6r11
rename energysource1 electricity
rename energysource2 lpgas
rename energysource3 kerosene
rename energysource4 charcoal
rename energysource5 firewood
rename energysource6 otherenergy

rename b9r1 telephone
replace telephone = 0 if telephone == 2
rename b9r2a cellphone
replace cellphone = 0 if cellphone == 2
rename b9r2b n_hhactivecellphone
replace n_hhactivecellphone = 0 if cellphone == 0
rename b9r2c n_hhcellphone
replace n_hhcellphone = 0 if cellphone == 0
rename b9r3a computer
replace computer = 0 if computer == 2
rename b9r3b laptop
replace laptop = 0 if laptop == 2
rename b9r4a2 homeforinternet
replace homeforinternet = 0 if homeforinternet == 2
rename b9r4a3 n_hhhomeforinternet
replace n_hhhomeforinternet=0 if n_hhhomeforinternet==.
rename b9r4b2 warnetforinternet
replace warnetforinternet = 0 if warnetforinternet == 2
rename b9r4b3 n_hhwarnetforinternet
replace n_hhwarnetforinternet=0 if n_hhwarnetforinternet==.
rename b9r4c2 officeforinternet
replace officeforinternet = 0 if officeforinternet == 2
rename b9r4c3 n_hhofficeforinternet
replace n_hhofficeforinternet=0 if n_hhofficeforinternet==.
rename b9r4d2 schoolforinternet
replace schoolforinternet = 0 if schoolforinternet == 2
rename b9r4d3 n_hhschoolinternet
replace n_hhschoolinternet=0 if n_hhschoolinternet==.
rename b9r4e2 otherforinternet
replace otherforinternet = 0 if otherforinternet == 2
rename b9r4e3 n_hhotherinternet
replace n_hhotherinternet=0 if n_hhotherinternet==.

saveold "$interim/varsus09jul.dta", replace

************************************************************************************************
************************************************2010********************************************
************************************************************************************************

**March**
/** HH identifier (b1r1-b1r8), monthly expenditure (kapita), housing questions including toilet (b6r1-b6r10), 
weights (weind wert), asset questions(b7r4a-b7r4e), no telecommunication**/
clear
use "$KOR/susenas10mar_kr.dta"
merge 1:m b1r1-b1r9 using "$KOR/susenas10mar_ki.dta"
drop _m
**demographic characteristic
gen female= 1 if jk==2
replace female=0 if female==.
gen male= 1 if jk==1
replace male=0 if male==.
gen child=1 if hb==3
replace child=0 if child==.
bysort b1r1-b1r8: egen totalfemale= total(female)
bysort b1r1-b1r8: egen totalmale= total(male)
bysort b1r1-b1r8: egen totalchild= total(child)
bysort b1r1-b1r9: gen n=_n
keep if n == 1
drop n
merge 1:m b1r1-b1r8 using "$MODULE/susenas10mar_43.dta"
keep b1r1-b1r8 b2r1 kapita b6r* b7r4* weind wert totalmale totalfemale totalchild

**renaming variables**
rename b1r1 provincecode
rename b1r2 districtcode
rename b1r3 subdistrictcode
rename b1r4 villagecode
rename b1r5 urban
replace urban = 0 if urban == 2
rename b1r7 samplecode
rename b1r8 HHsamplecode
rename b2r1 hhsize
tab b6r1, gen(houseownership)
tab b6r2, gen(rooftype)
tab b6r3, gen(walltype)
tab b6r4, gen(floortype)
rename b6r5 area
tab b6r6a, gen(watersource)
rename b6r6b watersanitation
replace watersanitation = 2 if b6r6a == 1 | b6r6a == 2 | b6r6a == 3 | b6r6a == 4
gen cleanwatersanitation = 1 if watersanitation == 2
replace cleanwatersanitation = 0 if watersanitation != 2
drop watersanitation
replace b6r7 = 1 if b6r6a == 1 | b6r6a == 2 | b6r6a == 3
tab b6r7, gen(waterownership)
rename b6r8 buyingdrinkwater
replace buyingdrinkwater = 0 if buyingdrinkwater == 2
tab b6r9a, gen(toiletownership)
tab b6r9b, gen(toilettype)
tab b6r9c, gen(finaldisposal)
tab b6r10, gen(electricitytype)
rename kapita month_pcexp

drop b6r1
rename houseownership1 ownhouse
rename houseownership2 lease
rename houseownership3 rent
rename houseownership4 freelease
rename houseownership5 companyhouse
rename houseownership6 familyhouse
rename houseownership7 otherhouse

drop b6r2
rename rooftype1 concreteroof
rename rooftype2 tileroof
rename rooftype3 shingleroof
rename rooftype4 ironsheetroof
rename rooftype5 asbestosroof
rename rooftype6 fiberpalmroof
rename rooftype7 otherroof

drop b6r3
rename walltype1 concretewall
rename walltype2 woodwall
rename walltype3 bamboowall
rename walltype4 otherwall

drop b6r4
rename floortype1 notsoilfloor
rename floortype2 soilfloor
drop notsoilfloor

drop b6r6a
rename watersource1 bottleddrinkwater
rename watersource2 refilldrinkwater
rename watersource3 retailpipedrinkwater
rename watersource4 meteredpipedrinkwater
rename watersource5 pumpdrinkwater
rename watersource6 protectedwelldrinkwater
rename watersource7 unprotectedwelldrinkwater
rename watersource8 protectedspringdrinkwater
rename watersource9 unprotectedspringdrinkwater
rename watersource10 riverdrinkwater
rename watersource11 raindrinkwater
rename watersource12 otherdrinkwater

drop b6r7
rename waterownership1 personalwater
rename waterownership2 mutualwater
rename waterownership3 publicwater
rename waterownership4 noaccessdrinkwater

drop b6r9a
rename toiletownership1 personaltoilet
rename toiletownership2 mutualtoilet
rename toiletownership3 publictoilet
rename toiletownership4 noaccesstotoilet

drop b6r9b
rename toilettype1 goosetoilet
replace goosetoilet = 0 if goosetoilet == . & noaccesstotoilet == 1
rename toilettype2 pitttoilet
replace pitttoilet = 0 if pitttoilet == . & noaccesstotoilet == 1
rename toilettype3 squattoilet
replace squattoilet = 0 if squattoilet == . & noaccesstotoilet == 1
rename toilettype4 notoilet
replace notoilet = 0 if notoilet == . & noaccesstotoilet == 1

* toilet interaction
gen personalgoosetoilet = personaltoilet*goosetoilet
gen personalpitttoilet = personaltoilet*pitttoilet
gen personalsquattoilet = personaltoilet*squattoilet
gen personalnotoilet = personaltoilet*notoilet
gen mutualgoosetoilet = mutualtoilet*goosetoilet
gen mutualpitttoilet = mutualtoilet*pitttoilet
gen mutualsquattoilet = mutualtoilet*squattoilet
gen mutualnotoilet = mutualtoilet*notoilet
gen publicgoosetoilet = publictoilet*goosetoilet
gen publicpitttoilet = publictoilet*pitttoilet
gen publicsquattoilet = publictoilet*squattoilet
gen publicnotoilet = publictoilet*notoilet

drop b6r9c
rename finaldisposal1 septicdisposal
rename finaldisposal2 pooldisposal
rename finaldisposal3 riverdisposal
rename finaldisposal4 pitholedisposal
rename finaldisposal5 opendisposal
rename finaldisposal6 otherdisposal

drop b6r10
rename electricitytype1 PLNelectricity
rename electricitytype2 unmeteredPLNelectricity
rename electricitytype3 nonPLNelectricity
rename electricitytype4 parrafinlamp
rename electricitytype5 oillamp
rename electricitytype6 otherelectricity

*Asset Q
rename b7r4a bicycle
replace bicycle = 0 if bicycle == 2
rename b7r4b refrigerator
replace refrigerator = 0 if refrigerator == 2
rename b7r4c lpgmore3kg
replace lpgmore3kg = 0 if lpgmore3kg == 2
rename b7r4d motorcycle
replace motorcycle = 0 if motorcycle == 2
rename b7r4e carmotorboat
replace carmotorboat = 0 if carmotorboat == 2

tempfile varsus10mar
saveold "$interim/varsus10mar.dta", replace

**July**
/** HH identifier (b1r1-b1r9), monthly expenditure (b7r25), housing questions including toilet (b6r1-b6r11), 
weights (weind wert), telecommunication (b9r1-b9r3b), asset questions (b8r4a-b8r4f) **/
clear
use "$KOR/susenas10jul_kr.dta"
merge 1:m b1r1-b1r9 using "$KOR/susenas10jul_ki.dta"
**demographic characteristic
gen female= 1 if jk==2
replace female=0 if female==.
gen male= 1 if jk==1
replace male=0 if male==.
gen child=1 if hb==3
replace child=0 if child==.
bysort b1r1-b1r8: egen totalfemale= total(female)
bysort b1r1-b1r8: egen totalmale= total(male)
bysort b1r1-b1r8: egen totalchild= total(child)
drop if _m==2
drop _m
bysort b1r1-b1r10: gen n=_n
keep if n == 1
keep b1r1-b1r10 b2r1 b7r25 b6r* b9r* b8r4* weind wert totalmale totalfemale totalchild

**renaming variables**
rename b1r1 provincecode
rename b1r2 districtcode
rename b1r3 subdistrictcode
rename b1r4 villagecode
rename b1r5 urban
replace urban = 0 if urban == 2
rename b1r6 coastal
replace coastal = 0 if coastal == 2
rename b1r8 samplecode
rename b1r9 HHsamplecode
rename b2r1 hhsize
tab b6r1, gen(houseownership)
tab b6r2, gen(rooftype)
tab b6r3, gen(walltype)
tab b6r4, gen(floortype)
rename b6r5 area
tab b6r6a, gen(watersource)
rename b6r6b watersanitation
gen cleanwatersanitation = 1 if watersanitation == 2
replace cleanwatersanitation = 0 if watersanitation != 2
tab b6r7, gen(waterownership)
rename b6r8 buyingdrinkwater
replace buyingdrinkwater = 0 if buyingdrinkwater == 2
tab b6r9a, gen(toiletownership)
tab b6r9b, gen(toilettype)
tab b6r9c, gen(finaldisposal)
tab b6r10a, gen(electricitytype)
replace b6r10b = 0 if b6r10a!=1
tab b6r10b, gen(PLNpower)
tab b6r11, gen(energysource)
rename b7r25 month_exp
gen month_pcexp= month_exp/hhsize
rename wert10r wert

drop b6r1
rename houseownership1 ownhouse
rename houseownership2 lease
rename houseownership3 rent
rename houseownership4 freelease
rename houseownership5 companyhouse
rename houseownership6 familyhouse
rename houseownership7 otherhouse

drop b6r2
rename rooftype1 concreteroof
rename rooftype2 tileroof
rename rooftype3 shingleroof
rename rooftype4 ironsheetroof
rename rooftype5 asbestosroof
rename rooftype6 fiberpalmroof
rename rooftype7 otherroof

drop b6r3
rename walltype1 concretewall
rename walltype2 woodwall
rename walltype3 bamboowall
rename walltype4 otherwall

drop b6r4
rename floortype1 notsoilorbamboo
rename floortype2 soilfloor
rename floortype3 bamboofloor

drop b6r6a
rename watersource1 bottleddrinkwater
rename watersource2 refilldrinkwater
rename watersource3 retailpipedrinkwater
rename watersource4 meteredpipedrinkwater
rename watersource5 pumpdrinkwater
rename watersource6 protectedwelldrinkwater
rename watersource7 unprotectedwellvwater
rename watersource8 protectedspringdrinkwater
rename watersource9 unprotectedspringdrinkwater
rename watersource10 riverdrinkwater
rename watersource11 raindrinkwater
rename watersource12 otherdrinkwater

drop b6r7
rename waterownership1 personalwater
rename waterownership2 mutualwater
rename waterownership3 publicwater
rename waterownership4 noaccessdrinkwater

drop b6r9a
rename toiletownership1 personaltoilet
rename toiletownership2 mutualtoilet
rename toiletownership3 publictoilet
rename toiletownership4 noaccesstotoilet

drop b6r9b
rename toilettype1 goosetoilet
replace goosetoilet = 0 if goosetoilet == . & noaccesstotoilet == 1
rename toilettype2 pitttoilet
replace pitttoilet = 0 if pitttoilet == . & noaccesstotoilet == 1
rename toilettype3 squattoilet
replace squattoilet = 0 if squattoilet == . & noaccesstotoilet == 1
rename toilettype4 notoilet
replace notoilet = 0 if notoilet == . & noaccesstotoilet == 1

* toilet interaction
gen personalgoosetoilet = personaltoilet*goosetoilet
gen personalpitttoilet = personaltoilet*pitttoilet
gen personalsquattoilet = personaltoilet*squattoilet
gen personalnotoilet = personaltoilet*notoilet
gen mutualgoosetoilet = mutualtoilet*goosetoilet
gen mutualpitttoilet = mutualtoilet*pitttoilet
gen mutualsquattoilet = mutualtoilet*squattoilet
gen mutualnotoilet = mutualtoilet*notoilet
gen publicgoosetoilet = publictoilet*goosetoilet
gen publicpitttoilet = publictoilet*pitttoilet
gen publicsquattoilet = publictoilet*squattoilet
gen publicnotoilet = publictoilet*notoilet

drop b6r9c
rename finaldisposal1 septicdisposal
rename finaldisposal2 pooldisposal
rename finaldisposal3 riverdisposal
rename finaldisposal4 pitholedisposal
rename finaldisposal5 opendisposal
rename finaldisposal6 otherdisposal

drop b6r10a
rename electricitytype1 PLNelectricity
rename electricitytype2 nonPLNelectricity
rename electricitytype3 parrafinlamp
rename electricitytype4 oillamp
rename electricitytype5 otherelectricity

drop b6r10b
rename PLNpower1 watt450
rename PLNpower2 watt900
rename PLNpower3 watt1300
rename PLNpower4 watt2200
rename PLNpower5 watt2200higher
rename PLNpower6 wattnometer

drop b6r11
rename energysource1 electricity
rename energysource2 lpgas
rename energysource3 kerosene
rename energysource4 charcoal
rename energysource5 briquettecoal
rename energysource6 firewood
rename energysource7 otherenergy

*Asset Q
rename b8r4a bicycle
replace bicycle = 0 if bicycle == 2
rename b8r4b motorcycle
replace motorcycle = 0 if motorcycle == 2
rename b8r4c boat
replace boat = 0 if boat == 2
rename b8r4d motorboat
replace motorboat = 0 if motorboat == 2
rename b8r4e refrigerator
replace refrigerator = 0 if refrigerator == 2
rename b8r4f lpg12kgmore
replace lpg12kgmore = 0 if lpg12kgmore == 2

*Telecommunication
rename b9r1 telephone
replace telephone = 0 if telephone == 2
rename b9r2a cellphone
replace cellphone = 0 if cellphone == 2
rename b9r2b n_hhactivecellphone
replace n_hhactivecellphone= 0 if cellphone == 0
rename b9r2c n_hhcellphone
replace n_hhcellphone= 0 if cellphone == 0
rename b9r3a computer
replace computer = 0 if computer == 2
rename b9r3b laptop
replace laptop = 0 if laptop == 2

tempfile varsus10jul
saveold "$interim/varsus10jul.dta", replace
*log close

