/**************Susenas 2011 - 2015*************
Last modified: 170627
*************************/


clear
capture log close
set more off


************************************************************************************************
************************************************2011********************************************
************************************************************************************************

**POOL**
/** HH identifier (b1r1-b1r8), percapita expenditure (b43r25), housing questions including toilet (b6r1-b6r15), 
weights(weind wert), telecommunication (b8r1-b8r3b, no asset questions**/
clear
use "$KOR/susenas11pool_kr.dta"
bys b1r1-b1r8: gen n=_n
keep if n==1
saveold "$interim/susenas11pool_kr_cleaned.dta", replace

clear
use "$KOR/susenas11pool_ki.dta"
**demographic characteristic
gen female= 1 if jk==2
replace female=0 if female==.
gen male= 1 if jk==1
replace male=0 if male==.
gen child=1 if hb==3
replace child=0 if child==.
bysort b1r1-b1r8: egen totalfemale= total(female)
bysort b1r1-b1r8: egen totalmale= total(male)
bysort b1r1-b1r8: egen totalchild= total(child)
bys b1r1-b1r8: gen n=_n
keep if n==1
saveold "$interim/susenas11pool_ki_cleaned.dta", replace

clear
use "$MODULE/susenas11pool_43.dta"
bys b1r1-b1r8: gen n=_n
keep if n==1
saveold "$interim/susenas11pool_43_cleaned.dta", replace

clear
use "$interim/susenas11pool_kr_cleaned.dta"
merge 1:m b1r1-b1r8 using "$interim/susenas11pool_ki_cleaned.dta"
drop _m
merge 1:m b1r1-b1r8 using "$interim/susenas11pool_43_cleaned.dta"

keep b1r1-b1r8 b2r1 b6r* b8r* expend kapita weind wert totalmale totalfemale totalchild

**renaming variables**
rename b1r1 provincecode
rename b1r2 districtcode
rename b1r3 subdistrictcode
rename b1r4 villagecode
rename b1r5 urban
replace urban = 0 if urban == 2
rename b1r7 samplecode
rename b1r8 HHsamplecode
rename b2r1 hhsize
tab b6r1, gen(housetype)
tab b6r2, gen(hhhouse)
tab b6r3, gen(houseownership)
tab b6r4, gen(certificatetype)
tab b6r5, gen(rooftype)
tab b6r6, gen(walltype)
tab b6r7, gen(floortype)
rename b6r8 area
tab b6r9a, gen(drinkwatersource)
rename b6r9b watersanitation
gen cleanwatersanitation = 1 if watersanitation == 2
replace cleanwatersanitation = 0 if watersanitation != 2
replace cleanwatersanitation = 1 if b6r9a == 1 | b6r9a == 2 | b6r9a == 3 | b6r9a == 4
replace cleanwatersanitation = 1 if b6r9a == 10 | b6r9a == 11 | b6r9a == 12
replace b6r10 = 1 if b6r9a == 1 | b6r9a == 2  | b6r9a == 4
tab b6r10, gen(waterownership)
tab b6r11, gen(attaindrinkwater)
tab b6r12a, gen(washwatersource)
tab b6r12b, gen(attainwashwater)
tab b6r13a, gen(toiletownership)
tab b6r13b, gen(toilettype)
tab b6r13c, gen(finaldisposal)
tab b6r14a, gen(electricitytype)

* SV EDIT
replace b6r14b=0 if b6r14a != 1

tab b6r14b, gen(PLNpower)
tab b6r15, gen(energysource)
rename expend month_exp
rename kapita month_pcexp
rename wert11 wert

drop b6r1
rename housetype1 residential
rename housetype2 mix

drop b6r2
rename hhhouse1 singlehhhouse
rename hhhouse2 multiplehhhouse

drop b6r3
rename houseownership1 ownhouse
rename houseownership2 lease
rename houseownership3 rent
rename houseownership4 freelease
rename houseownership5 companyhouse
rename houseownership6 familyhouse
rename houseownership7 otherhouse

drop b6r4
rename certificatetype1 personalcert
replace personalcert=0 if personalcert!=1
rename certificatetype2 usagecert
replace usagecert=0 if usagecert!=1
rename certificatetype3 utilizecert
replace utilizecert=0 if utilizecert!=1

* SV EDIT
rename certificatetype4 othercert
replace othercert=0 if othercert!=1

drop b6r5
rename rooftype1 concreteroof
rename rooftype2 tileroof
rename rooftype3 shingleroof
rename rooftype4 ironsheetroof
rename rooftype5 asbestosroof
rename rooftype6 fiberpalmroof
rename rooftype7 otherroof

drop b6r6
rename walltype1 concretewall
rename walltype2 woodwall
rename walltype3 bamboowall
rename walltype4 otherwall

drop b6r7
rename floortype1 marbleceramicfloor
rename floortype2 tilefloor
rename floortype3 cementfloor
rename floortype4 woodfloor
rename floortype5 soilfloor
rename floortype6 otherfloor

drop b6r9a
rename drinkwatersource1 bottleddrinkwater
rename drinkwatersource2 refilldrinkwater
rename drinkwatersource3 retailtapdrinkwater
rename drinkwatersource4 meteredtapdrinkwater
rename drinkwatersource5 pumpdrinkwater
rename drinkwatersource6 protectedwelldrinkwater
rename drinkwatersource7 unprotectedwelldrinkwater
rename drinkwatersource8 protectedspringdrinkwater
rename drinkwatersource9 unprotectedspringdrinkwater
rename drinkwatersource10 riverdrinkwater
rename drinkwatersource11 raindrinkwater
rename drinkwatersource12 otherdrinkwater

drop b6r10
rename waterownership1 personalwater
rename waterownership2 mutualwater
rename waterownership3 publicwater
rename waterownership4 noaccesswater

drop b6r11
rename attaindrinkwater1 buyingdrinkwater
rename attaindrinkwater2 subscribesrinkwater
rename attaindrinkwater3 notbuyingdrinkwater

drop b6r12a
rename washwatersource1 bottledwashwater
rename washwatersource2 refillwashwater
rename washwatersource3 retailtapwashwater
rename washwatersource4 meteredtapwashwater
rename washwatersource5 pumpwashwater
rename washwatersource6 protectedwellwashwater
rename washwatersource7 unprotectedwellwashwater
rename washwatersource8 protectedspringwashwater
rename washwatersource9 unprotectedspringwashwater
rename washwatersource10 riverwashwater
rename washwatersource11 rainwashwater
rename washwatersource12 otherwashwater

drop b6r12b
rename attainwashwater1 buyingwashwater
rename attainwashwater2 subscribewashwater
rename attainwashwater3 notbuyingwashwater

drop b6r13a
rename toiletownership1 personaltoilet
rename toiletownership2 mutualtoilet
rename toiletownership3 publictoilet
rename toiletownership4 noaccesstotoilet

drop b6r13b
rename toilettype1 goosetoilet
replace goosetoilet = 0 if goosetoilet == . & noaccesstotoilet == 1
rename toilettype2 pitttoilet
replace pitttoilet = 0 if pitttoilet == . & noaccesstotoilet == 1
rename toilettype3 squattoilet
replace squattoilet = 0 if squattoilet == . & noaccesstotoilet == 1
rename toilettype4 notoilet
replace notoilet = 0 if notoilet == . & noaccesstotoilet == 1

* toilet interaction
gen personalgoosetoilet = personaltoilet*goosetoilet
gen personalpitttoilet = personaltoilet*pitttoilet
gen personalsquattoilet = personaltoilet*squattoilet
gen personalnotoilet = personaltoilet*notoilet
gen mutualgoosetoilet = mutualtoilet*goosetoilet
gen mutualpitttoilet = mutualtoilet*pitttoilet
gen mutualsquattoilet = mutualtoilet*squattoilet
gen mutualnotoilet = mutualtoilet*notoilet
gen publicgoosetoilet = publictoilet*goosetoilet
gen publicpitttoilet = publictoilet*pitttoilet
gen publicsquattoilet = publictoilet*squattoilet
gen publicnotoilet = publictoilet*notoilet

drop b6r13c
rename finaldisposal1 septicdisposal
rename finaldisposal2 pooldisposal
rename finaldisposal3 riverdisposal
rename finaldisposal4 pitholedisposal
rename finaldisposal5 opendisposal
rename finaldisposal6 otherdisposal

drop b6r14a
rename electricitytype1 PLNelectricity
rename electricitytype2 nonPLNelectricity
rename electricitytype3 parrafinlamp
rename electricitytype4 oillamp
rename electricitytype5 otherelectricity

*replace PLNpower1=. if b6r14b!=1
*replace PLNpower2=. if b6r14b!=1
*replace PLNpower3=. if b6r14b!=1
*replace PLNpower4=. if b6r14b!=1
*replace PLNpower5=. if b6r14b!=1
*replace PLNpower6=. if b6r14b!=1

drop b6r14b
rename PLNpower1 watt450
rename PLNpower2 watt900
rename PLNpower3 watt1300
rename PLNpower4 watt2200
rename PLNpower5 watt2200higher
rename PLNpower6 wattnometer

drop b6r15
rename energysource1 electricity
rename energysource2 lpgas
rename energysource3 kerosene
rename energysource4 charcoal
rename energysource5 briquettecoal
rename energysource6 firewood
rename energysource7 otherenergy

*Telecommunication
rename b8r1 telephone
replace telephone = 0 if telephone == 2
rename b8r2a cellphone
replace cellphone = 0 if cellphone == 2
rename b8r2b n_hhactivecellphone
replace n_hhactivecellphone = 0 if cellphone == 0 
rename b8r2c n_hhcellphone
replace n_hhcellphone = 0 if cellphone == 0 
rename b8r3a computer
replace computer = 0 if computer == 2
rename b8r3b laptop
replace laptop = 0 if laptop == 2

saveold "$interim/varsus11pool.dta", replace

************************************************************************************************
************************************************2012********************************************
************************************************************************************************

**POOL**
/** HH identifier (urut-b1r8), percapita expenditure (exp_cap), housing questions including toilet (b6r1-b6r15), 
weights(wert, no individual weight), telecommunication (b8r1-b8r3b), asset questions (b7r4a-e)**/
clear
use "$KOR/susenas12pool_kr.dta"
merge 1:m urut-b1r8 using "$KOR/susenas12pool_ki.dta"
**demographic characteristic
gen female= 1 if jk==2
replace female=0 if female==.
gen male= 1 if jk==1
replace male=0 if male==.
gen child=1 if hb==3
replace child=0 if child==.
bysort urut-b1r8: egen totalfemale= total(female)
bysort urut-b1r8: egen totalmale= total(male)
bysort urut-b1r8: egen totalchild= total(child)
bys urut-b1r8: gen n=_n
keep if n==1
keep urut-b1r8 b2r1 b6r* b7r4* b8r* exp_cap wert totalmale totalfemale totalchild

**renaming variables**
rename urut hhid
rename b1r1 provincecode
rename b1r2 districtcode

*rename b1r3 subdistrictcode
*rename b1r4 villagecode
rename b1r5 urban
replace urban = 0 if urban == 2
*rename b1r7 samplecode
rename b1r8 HHsamplecode
rename b2r1 hhsize
tab b6r1, gen(housetype)
tab b6r2, gen(hhhouse)
tab b6r3, gen(houseownership)
tab b6r4, gen(certificatetype)
tab b6r5, gen(rooftype)
tab b6r6, gen(walltype)
tab b6r7, gen(floortype)
rename b6r8 area
tab b6r9a, gen(drinkwatersource)
rename b6r9b watersanitation
gen cleanwatersanitation = 1 if watersanitation == 2
replace cleanwatersanitation = 0 if watersanitation != 2
replace cleanwatersanitation = 1 if b6r9a == 1 | b6r9a == 2 | b6r9a == 3 | b6r9a == 4
replace cleanwatersanitation = 1 if b6r9a == 10 | b6r9a == 11 | b6r9a == 12
replace b6r10 = 1 if b6r9a == 1 | b6r9a == 2 | b6r9a == 3 | b6r9a == 4
tab b6r10, gen(waterownership)
tab b6r11, gen(attaindrinkwater)
tab b6r12a, gen(washwatersource)
tab b6r12b, gen(attainwashwater)
tab b6r13a, gen(toiletownership)
tab b6r13b, gen(toilettype)
tab b6r13c, gen(finaldisposal)
tab b6r14a, gen(electricitytype)
replace b6r14b = 0 if b6r14a!=1
tab b6r14b, gen(PLNpower)
tab b6r15, gen(energysource)
rename exp_cap month_pcexp
format %15.0f month_pcexp


drop b6r1
rename housetype1 residential
rename housetype2 mix

drop b6r2
rename hhhouse1 singlehhhouse
rename hhhouse2 multiplehhhouse

drop b6r3
rename houseownership1 ownhouse
rename houseownership2 lease
rename houseownership3 rent
rename houseownership4 freelease
rename houseownership5 companyhouse
rename houseownership6 familyhouse
rename houseownership7 otherhouse

drop b6r4
rename certificatetype1 personalcert
replace personalcert=0 if personalcert!=1
rename certificatetype2 usagecert
replace usagecert=0 if usagecert!=1
rename certificatetype3 utilizecert
replace utilizecert=0 if utilizecert!=1
rename certificatetype4 othercert
replace othercert=0 if othercert!=1

drop b6r5
rename rooftype1 concreteroof
rename rooftype2 tileroof
rename rooftype3 shingleroof
rename rooftype4 ironsheetroof
rename rooftype5 asbestosroof
rename rooftype6 fiberpalmroof
rename rooftype7 otherroof

drop b6r6
rename walltype1 concretewall
rename walltype2 woodwall
rename walltype3 bamboowall
rename walltype4 otherwall

drop b6r7
rename floortype1 marbleceramicfloor
rename floortype2 tilefloor
rename floortype3 cementfloor
rename floortype4 woodfloor
rename floortype5 soilfloor
rename floortype6 otherfloor

drop b6r9a
rename drinkwatersource1 bottleddrinkwater
rename drinkwatersource2 refilldrinkwater
rename drinkwatersource3 retailtapdrinkwater
rename drinkwatersource4 meteredtapdrinkwater
rename drinkwatersource5 pumpdrinkwater
rename drinkwatersource6 protectedwelldrinkwater
rename drinkwatersource7 unprotectedwelldrinkwater
rename drinkwatersource8 protectedspringdrinkwater
rename drinkwatersource9 unprotectedspringdrinkwater
rename drinkwatersource10 riverdrinkwater
rename drinkwatersource11 raindrinkwater
rename drinkwatersource12 otherdrinkwater

drop b6r10
rename waterownership1 personalwater
rename waterownership2 mutualwater
rename waterownership3 publicwater
rename waterownership4 noaccesswater

drop b6r11
rename attaindrinkwater1 buyingdrinkwater
rename attaindrinkwater2 subscribesrinkwater
rename attaindrinkwater3 notbuyingdrinkwater

drop b6r12a
rename washwatersource1 bottledwashwater
rename washwatersource2 refillwashwater
rename washwatersource3 retailtapwashwater
rename washwatersource4 meteredtapwashwater
rename washwatersource5 pumpwashwater
rename washwatersource6 protectedwellwashwater
rename washwatersource7 unprotectedwellwashwater
rename washwatersource8 protectedspringwashwater
rename washwatersource9 unprotectedspringwashwater
rename washwatersource10 riverwashwater
rename washwatersource11 rainwashwater
rename washwatersource12 otherwashwater

drop b6r12b
rename attainwashwater1 buyingwashwater
rename attainwashwater2 subscribewashwater
rename attainwashwater3 notbuyingwashwater

drop b6r13a
rename toiletownership1 personaltoilet
rename toiletownership2 mutualtoilet
rename toiletownership3 publictoilet
rename toiletownership4 noaccesstotoilet

drop b6r13b
rename toilettype1 goosetoilet
replace goosetoilet = 0 if goosetoilet == . & noaccesstotoilet == 1
rename toilettype2 pitttoilet
replace pitttoilet = 0 if pitttoilet == . & noaccesstotoilet == 1
rename toilettype3 squattoilet
replace squattoilet = 0 if squattoilet == . & noaccesstotoilet == 1
rename toilettype4 notoilet
replace notoilet = 0 if notoilet == . & noaccesstotoilet == 1

* toilet interaction
gen personalgoosetoilet = personaltoilet*goosetoilet
gen personalpitttoilet = personaltoilet*pitttoilet
gen personalsquattoilet = personaltoilet*squattoilet
gen personalnotoilet = personaltoilet*notoilet
gen mutualgoosetoilet = mutualtoilet*goosetoilet
gen mutualpitttoilet = mutualtoilet*pitttoilet
gen mutualsquattoilet = mutualtoilet*squattoilet
gen mutualnotoilet = mutualtoilet*notoilet
gen publicgoosetoilet = publictoilet*goosetoilet
gen publicpitttoilet = publictoilet*pitttoilet
gen publicsquattoilet = publictoilet*squattoilet
gen publicnotoilet = publictoilet*notoilet

drop b6r13c
rename finaldisposal1 septicdisposal
rename finaldisposal2 pooldisposal
rename finaldisposal3 riverdisposal
rename finaldisposal4 pitholedisposal
rename finaldisposal5 opendisposal
rename finaldisposal6 otherdisposal

drop b6r14a
rename electricitytype1 PLNelectricity
rename electricitytype2 nonPLNelectricity
rename electricitytype3 parrafinlamp
rename electricitytype4 oillamp
rename electricitytype5 otherelectricity

*replace PLNpower1=. if b6r14b!=1
*replace PLNpower2=. if b6r14b!=1
*replace PLNpower3=. if b6r14b!=1
*replace PLNpower4=. if b6r14b!=1
*replace PLNpower5=. if b6r14b!=1
*replace PLNpower6=. if b6r14b!=1

drop b6r14b
rename PLNpower1 watt450
rename PLNpower2 watt900
rename PLNpower3 watt1300
rename PLNpower4 watt2200
rename PLNpower5 watt2200higher
rename PLNpower6 wattnometer

drop b6r15
rename energysource1 electricity
rename energysource2 lpgas
rename energysource3 kerosene
rename energysource4 charcoal
rename energysource5 briquettecoal
rename energysource6 firewood
rename energysource7 otherenergy

*Asset Q
rename b7r4a bicycle
replace bicycle = 0 if bicycle == 2
rename b7r4b motorcycle
replace motorcycle = 0 if motorcycle == 2
rename b7r4c boat
replace boat = 0 if boat == 2
rename b7r4d cabletv
replace cabletv = 0 if cabletv == 2
rename b7r4e airconditioner
replace airconditioner = 0 if airconditioner == 2
rename b7r4f waterheater
replace waterheater = 0 if waterheater == 2
rename b7r4g lpg12kgmore
replace lpg12kgmore = 0 if lpg12kgmore == 2
rename b7r4h refrigerator
replace refrigerator = 0 if refrigerator == 2
rename b7r4i motorboat
replace motorboat = 0 if motorboat == 2
rename b7r4j car
replace car = 0 if car == 2

*Telecommunication
rename b8r1 telephone
replace telephone = 0 if telephone == 2
rename b8r2a cellphone
replace cellphone = 0 if cellphone == 2
rename b8r2b n_hhactivecellphone
replace n_hhactivecellphone= 0 if cellphone == 0
rename b8r2c n_hhcellphone
replace n_hhcellphone= 0 if cellphone == 0
rename b8r3a computer
replace computer = 0 if computer == 2
rename b8r3b laptop
replace laptop = 0 if laptop == 2

saveold "$interim/varsus12pool.dta", replace

************************************************************************************************
************************************************2013********************************************
************************************************************************************************
**POOL**
/** HH identifier (urut-b1r8), percapita expenditure (exp_cap), housing questions including toilet (b6r1-b6r15), 
no weights, telecommunication (b8r1-b8r3b), no asset questions **/
clear
use "$KOR/susenas13pool_kr.dta"
merge 1:m urut-b1r8 using "$KOR/susenas13pool_ki.dta"
**demographic characteristic
gen female= 1 if jk==2
replace female=0 if female==.
gen male= 1 if jk==1
replace male=0 if male==.
gen child=1 if hb==3
replace child=0 if child==.
bysort urut-b1r8: egen totalfemale= total(female)
bysort urut-b1r8: egen totalmale= total(male)
bysort urut-b1r8: egen totalchild= total(child)
bys urut-b1r8: gen n=_n
keep if n==1

keep urut-b1r8 b2r1 b6r* b8r* exp_cap fwt totalmale totalfemale totalchild

**renaming variables**
rename urut hhid
rename b1r1 provincecode
rename b1r2 districtcode
*rename b1r3 subdistrictcode
*rename b1r4 villagecode
rename b1r5 urban
replace urban = 0 if urban == 2
*rename b1r7 samplecode
rename b1r8 HHsamplecode
rename b2r1 hhsize
tab b6r1, gen(housetype)
tab b6r2, gen(hhhouse)
tab b6r3, gen(houseownership)
replace b6r4 = . if b6r3 != 1
tab b6r4, gen(certificatetype)
tab b6r5, gen(rooftype)
tab b6r6, gen(walltype)
tab b6r7, gen(floortype)
rename b6r8 area
tab b6r9a, gen(drinkwatersource)
rename b6r9b watersanitation
gen cleanwatersanitation = 1 if watersanitation == 2
replace cleanwatersanitation = 0 if watersanitation != 2
replace cleanwatersanitation = 1 if b6r9a == 1 | b6r9a == 2 | b6r9a == 3 | b6r9a == 4
replace cleanwatersanitation = 1 if b6r9a == 10 | b6r9a == 11 | b6r9a == 12
replace b6r10 = 1 if b6r9a == 1 | b6r9a == 2 | b6r9a == 4
tab b6r10, gen(waterownership)
tab b6r11, gen(attaindrinkwater)
tab b6r11_a, gen(cookwatersource)
tab b6r12, gen(washwatersource)
*tab b6r12b, gen(attainwashwater)
tab b6r13a, gen(toiletownership)
tab b6r13b, gen(toilettype)
tab b6r13c, gen(finaldisposal)
tab b6r14a, gen(electricitytype)
replace b6r14b=0 if b6r14a!= 1
tab b6r14b, gen(PLNpower)
tab b6r15, gen(energysource)
rename exp_cap month_pcexp
format %15.0f month_pcexp
rename fwt wert

drop b6r1
rename housetype1 residential
rename housetype2 mix

drop b6r2
rename hhhouse1 singlehhhouse
rename hhhouse2 multiplehhhouse

drop b6r3
rename houseownership1 ownhouse
rename houseownership2 lease
rename houseownership3 rent
rename houseownership4 freelease
rename houseownership5 companyhouse
rename houseownership6 familyhouse
rename houseownership7 otherhouse

drop b6r4
rename certificatetype1 personalcert
replace personalcert=0 if personalcert!=1
rename certificatetype2 usagecert
replace usagecert=0 if usagecert!=1
rename certificatetype3 utilizecert
replace utilizecert=0 if utilizecert!=1

drop b6r5
rename rooftype1 concreteroof
rename rooftype2 tileroof
rename rooftype3 shingleroof
rename rooftype4 ironsheetroof
rename rooftype5 asbestosroof
rename rooftype6 fiberpalmroof
rename rooftype7 otherroof

drop b6r6
rename walltype1 concretewall
rename walltype2 woodwall
rename walltype3 bamboowall
rename walltype4 otherwall

drop b6r7
rename floortype1 marbleceramicfloor
rename floortype2 tilefloor
rename floortype3 cementfloor
rename floortype4 woodfloor
rename floortype5 soilfloor
rename floortype6 otherfloor

drop b6r9a
rename drinkwatersource1 bottleddrinkwater
rename drinkwatersource2 refilldrinkwater
rename drinkwatersource3 retailtapdrinkwater
rename drinkwatersource4 meteredtapdrinkwater
rename drinkwatersource5 pumpdrinkwater
rename drinkwatersource6 protectedwelldrinkwater
rename drinkwatersource7 unprotectedwelldrinkwater
rename drinkwatersource8 protectedspringdrinkwater
rename drinkwatersource9 unprotectedspringdrinkwater
rename drinkwatersource10 riverdrinkwater
rename drinkwatersource11 raindrinkwater
rename drinkwatersource12 otherdrinkwater

drop b6r10
rename waterownership1 personalwater
rename waterownership2 mutualwater
rename waterownership3 publicwater
rename waterownership4 noaccesswater

drop b6r11
rename attaindrinkwater1 buyingdrinkwater
rename attaindrinkwater2 subscribesrinkwater
rename attaindrinkwater3 notbuyingdrinkwater

drop b6r11_a
rename cookwatersource1 bottledcookwater
rename cookwatersource2 refillcookwater
rename cookwatersource3 retailtapcookwater
rename cookwatersource4 meteredtapcookwater
rename cookwatersource5 pumpcookwater
rename cookwatersource6 protectedwellcookwater
rename cookwatersource7 unprotectedwellcookwater
rename cookwatersource8 protectedspringcookwater
rename cookwatersource9 unprotectedspringcookwater
rename cookwatersource10 rivercookwater
rename cookwatersource11 raincookwater
rename cookwatersource12 othercookwater

drop b6r12
rename washwatersource1 bottledwashwater
rename washwatersource2 refillwashwater
rename washwatersource3 retailtapwashwater
rename washwatersource4 meteredtapwashwater
rename washwatersource5 pumpwashwater
rename washwatersource6 protectedwellwashwater
rename washwatersource7 unprotectedwellwashwater
rename washwatersource8 protectedspringwashwater
rename washwatersource9 unprotectedspringwashwater
rename washwatersource10 riverwashwater
*rename washwatersource11 rainwashwater
*rename washwatersource12 otherwashwater

*drop b6r12b
*rename attainwashwater1 buyingwashwater
*rename attainwashwater2 subscribewashwater
*rename attainwashwater3 notbuyingwashwater

drop b6r13a
rename toiletownership1 personaltoilet
rename toiletownership2 mutualtoilet
rename toiletownership3 publictoilet
rename toiletownership4 noaccesstotoilet

drop b6r13b
rename toilettype1 goosetoilet
replace goosetoilet = 0 if goosetoilet == . & noaccesstotoilet == 1
rename toilettype2 pitttoilet
replace pitttoilet = 0 if pitttoilet == . & noaccesstotoilet == 1
rename toilettype3 squattoilet
replace squattoilet = 0 if squattoilet == . & noaccesstotoilet == 1
rename toilettype4 notoilet
replace notoilet = 0 if notoilet == . & noaccesstotoilet == 1

* toilet interaction
gen personalgoosetoilet = personaltoilet*goosetoilet
gen personalpitttoilet = personaltoilet*pitttoilet
gen personalsquattoilet = personaltoilet*squattoilet
gen personalnotoilet = personaltoilet*notoilet
gen mutualgoosetoilet = mutualtoilet*goosetoilet
gen mutualpitttoilet = mutualtoilet*pitttoilet
gen mutualsquattoilet = mutualtoilet*squattoilet
gen mutualnotoilet = mutualtoilet*notoilet
gen publicgoosetoilet = publictoilet*goosetoilet
gen publicpitttoilet = publictoilet*pitttoilet
gen publicsquattoilet = publictoilet*squattoilet
gen publicnotoilet = publictoilet*notoilet

drop b6r13c
rename finaldisposal1 septicdisposal
rename finaldisposal2 pooldisposal
rename finaldisposal3 riverdisposal
rename finaldisposal4 pitholedisposal
rename finaldisposal5 opendisposal
rename finaldisposal6 otherdisposal

drop b6r14a
rename electricitytype1 PLNelectricity
rename electricitytype2 nonPLNelectricity
rename electricitytype3 parrafinlamp
rename electricitytype4 oillamp
rename electricitytype5 otherelectricity

*replace PLNpower1=. if b6r14b!=1
*replace PLNpower2=. if b6r14b!=1
*replace PLNpower3=. if b6r14b!=1
*replace PLNpower4=. if b6r14b!=1
*replace PLNpower5=. if b6r14b!=1
*replace PLNpower6=. if b6r14b!=1

drop b6r14b
rename PLNpower1 watt450
rename PLNpower2 watt900
rename PLNpower3 watt1300
rename PLNpower4 watt2200
rename PLNpower5 watt2200higher
rename PLNpower6 wattnometer

drop b6r15
rename energysource1 electricity
rename energysource2 lpgas
rename energysource3 kerosene
rename energysource4 charcoal
rename energysource5 briquettecoal
rename energysource6 firewood
rename energysource7 otherenergy

*Telecommunication
rename b8r1 telephone
replace telephone = 0 if telephone == 2
rename b8r2a cellphone
replace cellphone = 0 if cellphone == 2
rename b8r2b n_hhactivecellphone
replace n_hhactivecellphone = 0 if cellphone == 0 
rename b8r2c n_hhcellphone
replace n_hhcellphone = 0 if cellphone == 0
rename b8r3a computer
replace computer = 0 if computer == 2
rename b8r3b laptop
replace laptop = 0 if laptop == 2

saveold "$interim/varsus13pool.dta", replace

************************************************************************************************
************************************************2014********************************************
************************************************************************************************

**POOL**
/** HH identifier (urut-b1r8), percapita expenditure (kapita), housing questions including toilet (b6r1-b6r15), 
weight, telecommunication (b8r1-b8r3b), no asset questions**/
clear
use "$KOR/susenas14pool_kr.dta"
merge 1:m urut-B1R8 using "$KOR/susenas14pool_ki.dta"
**demographic characteristic
gen female= 1 if jk==2
replace female=0 if female==.
gen male= 1 if jk==1
replace male=0 if male==.
gen child=1 if hb==3
replace child=0 if child==.
bysort urut-B1R8: egen totalfemale= total(female)
bysort urut-B1R8: egen totalmale= total(male)
bysort urut-B1R8: egen totalchild= total(child)
bys urut-B1R8: gen n=_n
keep if n==1
drop _m
merge 1:m urut-B1R8 using "$MODULE/susenas14pool_43.dta"

keep urut-B1R8 B2R1 B6R* B8R* kapita FWT_TAHUN totalmale totalfemale totalchild

foreach v of var* {
		capture rename `v' `=lower("`v'")'
}

**renaming variables**
rename urut hhid
rename b1r1 provincecode
rename b1r2 districtcode
rename b1r5 urban
replace urban = 0 if urban == 2
rename b1r7 samplecode
rename b1r8 HHsamplecode
rename b2r1 hhsize
tab b6r1, gen(housetype)
rename b6r2 nhhinhouse
tab b6r3, gen(houseownership)
tab b6r4, gen(certificatetype)
tab b6r5, gen(rooftype)
tab b6r6, gen(walltype)
tab b6r7, gen(floortype)
rename b6r8 area
tab b6r9a, gen(drinkwatersource)
rename b6r9b watersanitation
gen cleanwatersanitation = 1 if watersanitation == 2
replace cleanwatersanitation = 0 if watersanitation != 2
replace cleanwatersanitation = 1 if b6r9a == 1 | b6r9a == 2 | b6r9a == 3 | b6r9a == 4
replace cleanwatersanitation = 1 if b6r9a == 10 | b6r9a == 11 | b6r9a == 12
replace b6r10 = 1 if b6r9a == 1 | b6r9a == 2 | b6r9a == 4
tab b6r10, gen(waterownership)
tab b6r11, gen(attaindrinkwater)
tab b6r11_a, gen(cookwatersource)
tab b6r12, gen(washwatersource)
*tab b6r12b, gen(attainwashwater)
tab b6r13a, gen(toiletownership)
tab b6r13b, gen(toilettype)
tab b6r13c, gen(finaldisposal)
tab b6r14a, gen(electricitytype)
*replace b6r14b = 0 if b6r14a != 1
tab b6r14b, gen(PLNpower)
tab b6r15, gen(cookenergysource)
rename kapita month_pcexp
format %15.0f month_pcexp
rename fwt_tahun wert

drop b6r1
rename housetype1 residential
rename housetype2 mix

drop b6r3
rename houseownership1 ownhouse
rename houseownership2 lease
rename houseownership3 rent
rename houseownership4 freelease
rename houseownership5 companyhouse
rename houseownership6 familyhouse
rename houseownership7 otherhouse

drop b6r4
rename certificatetype1 personalcert
replace personalcert=0 if personalcert!=1
rename certificatetype2 usagecert
replace usagecert=0 if usagecert!=1
rename certificatetype3 utilizecert
replace utilizecert=0 if utilizecert!=1
rename certificatetype4 othercert
replace othercert=0 if othercert!=1

drop b6r5
rename rooftype1 concreteroof
rename rooftype2 tileroof
rename rooftype3 shingleroof
rename rooftype4 ironsheetroof
rename rooftype5 asbestosroof
rename rooftype6 fiberpalmroof
rename rooftype7 otherroof

drop b6r6
rename walltype1 concretewall
rename walltype2 woodwall
rename walltype3 bamboowall
rename walltype4 otherwall

drop b6r7
rename floortype1 marbleceramicfloor
rename floortype2 tilefloor
rename floortype3 cementfloor
rename floortype4 woodfloor
rename floortype5 soilfloor
rename floortype6 otherfloor

drop b6r9a
rename drinkwatersource1 bottleddrinkwater
rename drinkwatersource2 refilldrinkwater
rename drinkwatersource3 retailtapdrinkwater
rename drinkwatersource4 meteredtapdrinkwater
rename drinkwatersource5 pumpdrinkwater
rename drinkwatersource6 protectedwelldrinkwater
rename drinkwatersource7 unprotectedwelldrinkwater
rename drinkwatersource8 protectedspringdrinkwater
rename drinkwatersource9 unprotectedspringdrinkwater
rename drinkwatersource10 riverdrinkwater
rename drinkwatersource11 raindrinkwater
rename drinkwatersource12 otherdrinkwater

drop b6r10
rename waterownership1 personalwater
rename waterownership2 mutualwater
rename waterownership3 publicwater
rename waterownership4 noaccesswater

drop b6r11
rename attaindrinkwater1 buyingdrinkwater
rename attaindrinkwater2 subscribesrinkwater
rename attaindrinkwater3 notbuyingdrinkwater

drop b6r11_a
rename cookwatersource1 bottledcookwater
rename cookwatersource2 refillcookwater
rename cookwatersource3 retailtapcookwater
rename cookwatersource4 meteredtapcookwater
rename cookwatersource5 pumpcookwater
rename cookwatersource6 protectedwellcookwater
rename cookwatersource7 unprotectedwellcookwater
rename cookwatersource8 protectedspringcookwater
rename cookwatersource9 unprotectedspringcookwater
rename cookwatersource10 rivercookwater
rename cookwatersource11 raincookwater
rename cookwatersource12 othercookwater
rename cookwatersource13 nocooking

drop b6r12
rename washwatersource1 bottledwashwater
rename washwatersource2 refillwashwater
rename washwatersource3 retailtapwashwater
rename washwatersource4 meteredtapwashwater
rename washwatersource5 pumpwashwater
rename washwatersource6 protectedwellwashwater
rename washwatersource7 unprotectedwellwashwater
rename washwatersource8 protectedspringwashwater
rename washwatersource9 unprotectedspringwashwater
rename washwatersource10 riverwashwater
*rename washwatersource11 rainwashwater
*rename washwatersource12 otherwashwater

*drop b6r12b
*rename attainwashwater1 buyingwashwater
*rename attainwashwater2 subscribewashwater
*rename attainwashwater3 notbuyingwashwater

drop b6r13a
rename toiletownership1 personaltoilet
rename toiletownership2 mutualtoilet
rename toiletownership3 publictoilet
rename toiletownership4 noaccesstotoilet

drop b6r13b
rename toilettype1 goosetoilet
replace goosetoilet = 0 if goosetoilet == . & noaccesstotoilet == 1
rename toilettype2 pitttoilet
replace pitttoilet = 0 if pitttoilet == . & noaccesstotoilet == 1
rename toilettype3 squattoilet
replace squattoilet = 0 if squattoilet == . & noaccesstotoilet == 1
rename toilettype4 notoilet
replace notoilet = 0 if notoilet == . & noaccesstotoilet == 1

* toilet interaction
gen personalgoosetoilet = personaltoilet*goosetoilet
replace personalgoosetoilet= 0 if personalgoosetoilet!=1

gen personalpitttoilet = personaltoilet*pitttoilet
replace personalpitttoilet= 0 if personalpitttoilet!=1

gen personalsquattoilet = personaltoilet*squattoilet
replace personalsquattoilet= 0 if personalsquattoilet!=1

gen personalnotoilet = personaltoilet*notoilet
replace personalnotoilet= 0 if personalnotoilet!=1

gen mutualgoosetoilet = mutualtoilet*goosetoilet
replace mutualgoosetoilet= 0 if mutualgoosetoilet!=1

gen mutualpitttoilet = mutualtoilet*pitttoilet
replace mutualpitttoilet= 0 if mutualpitttoilet!=1

gen mutualsquattoilet = mutualtoilet*squattoilet
replace mutualsquattoilet= 0 if mutualsquattoilet!=1

gen mutualnotoilet = mutualtoilet*notoilet
replace mutualnotoilet= 0 if mutualnotoilet!=1

gen publicgoosetoilet = publictoilet*goosetoilet
replace publicgoosetoilet= 0 if publicgoosetoilet!=1

gen publicpitttoilet = publictoilet*pitttoilet
replace publicpitttoilet= 0 if publicpitttoilet!=1

gen publicsquattoilet = publictoilet*squattoilet
replace publicsquattoilet= 0 if publicsquattoilet!=1

gen publicnotoilet = publictoilet*notoilet
replace publicnotoilet= 0 if publicnotoilet!=1


drop b6r13c
rename finaldisposal1 septicdisposal
rename finaldisposal2 pooldisposal
rename finaldisposal3 riverdisposal
rename finaldisposal4 pitholedisposal
rename finaldisposal5 opendisposal
rename finaldisposal6 otherdisposal

drop b6r14a
rename electricitytype1 PLNelectricity
rename electricitytype2 nonPLNelectricity
rename electricitytype3 parrafinlamp
rename electricitytype4 oillamp
rename electricitytype5 otherelectricity

*replace PLNpower1=. if b6r14b!=1
*replace PLNpower2=. if b6r14b!=1
*replace PLNpower3=. if b6r14b!=1
*replace PLNpower4=. if b6r14b!=1
*replace PLNpower5=. if b6r14b!=1
*replace PLNpower6=. if b6r14b!=1

drop b6r14b
rename PLNpower1 watt450
replace watt450=0 if watt450!=1
rename PLNpower2 watt900
replace watt900=0 if watt900!=1
rename PLNpower3 watt1300
replace watt1300=0 if watt1300!=1
rename PLNpower4 watt2200
replace watt2200=0 if watt2200!=1
rename PLNpower5 watt2200higher
replace watt2200higher=0 if watt2200higher!=1
rename PLNpower6 wattnometer
replace wattnometer=0 if wattnometer!=1

drop b6r15
rename cookenergysource1 electricity
rename cookenergysource2 lpgas
rename cookenergysource3 urbangas
rename cookenergysource4 kerosene
rename cookenergysource5 charcoal
rename cookenergysource6 briquettecoal 
rename cookenergysource7 firewood
rename cookenergysource8 otherenergy
rename cookenergysource9 notcookingathome

*Telecommunication
rename b8r1 telephone
replace telephone = 0 if telephone == 2
rename b8r2a cellphone
replace cellphone = 0 if cellphone == 2
rename b8r2b n_hhactivecellphone
replace n_hhactivecellphone = 0 if cellphone == 0
rename b8r2c n_hhcellphone
replace n_hhcellphone = 0 if cellphone == 0
rename b8r3a computer
replace computer = 0 if computer == 2
rename b8r3b laptop
replace laptop = 0 if laptop == 2

**dropping households with all missing information**
drop if residential==. //1,772 HHs

saveold "$interim/varsus14pool.dta", replace

************************************************************************************************
************************************************2015********************************************
************************************************************************************************
/** Full: HH identifier (urut-r108), percapita expenditure (exp_cap), housing questions including toilet (r1501-r1515), 
weight (fwt_tahun), telecommunication (r1004-r1006)), asset questions (r1701a-r1701k)**/
**March**
use "$KOR/susenas15mar_kr.dta"
merge 1:m urut-r108 using "$KOR/susenas15mar_ki.dta"

**demographic characteristic
gen female= 1 if r405==2
replace female=0 if female==.
gen male= 1 if r405==1
replace male=0 if male==.
gen child=1 if r403==3
replace child=0 if child==.
bysort urut-r108: egen totalfemale= total(female)
bysort urut-r108: egen totalmale= total(male)
bysort urut-r108: egen totalchild= total(child)

**Telecommunication**
** n cellphone**
rename r1004a own_cell
replace own_cell= 0 if own_cell==5
bysort urut-r108: egen n_cell_hh = total(r1004b)
drop r1004b
replace own_cell = 1 if n_cell_hh > 0
replace own_cell = 0 if own_cell != 1

** computer/laptop usage**
gen usecomputer = 1 if r1005 == 1
replace usecomputer = 0 if r1005 == 5
bysort urut-r108: egen n_computer_hh = total(usecomputer)
drop r1005
replace usecomputer = 1 if n_computer_hh > 0
replace usecomputer = 0 if usecomputer != 1

** internet usage**
gen useinternet  = 1 if r1006 == 1
replace useinternet = 0 if r1006 == 5
bysort urut-r108: egen n_internet_hh = total(useinternet)
drop r1006
replace useinternet = 1 if n_internet_hh > 0
replace useinternet = 0 if useinternet != 1

**means to access internet**
gen computerinternet = 1 if r1007a == 1
replace computerinternet = 0 if r1007a == 5
bysort urut-r108: egen n_computerinternet_hh = total(computerinternet)
drop r1007a
replace computerinternet = 1 if n_computerinternet_hh > 0

gen laptopinternet = 1 if r1007b == 1
replace laptopinternet = 0 if r1007b == 5
bysort urut-r108: egen n_laptopinternet_hh = total(laptopinternet)
drop r1007b
replace laptopinternet = 1 if n_laptopinternet_hh > 0

gen cellphoneinternet = 1 if r1007c == 1
replace cellphoneinternet = 0 if r1007c == 5
bysort urut-r108: egen n_cellphoneinternet_hh = total(cellphoneinternet)
drop r1007c
replace cellphoneinternet = 1 if n_cellphoneinternet_hh > 0

gen otherinternet = 1 if r1007d == 1
replace otherinternet = 0  if r1007d == 5
bysort urut-r108: egen n_otherinternet_hh = total(otherinternet)
drop r1007d
replace otherinternet = 1 if n_otherinternet_hh > 0

**where to access internet**
gen homeinternet = 1 if r1008a == 1
replace homeinternet = 0 if r1008a == 5
bysort urut-r108: egen n_homeinternet_hh = total(homeinternet)
drop r1008a
replace homeinternet = 1 if n_homeinternet_hh > 0
replace homeinternet = 0 if homeinternet != 1

gen notownhomeinternet = 1 if r1008b == 1
replace notownhomeinternet = 0 if r1008b == 5
bysort urut-r108: egen n_notownhomeinternet_hh = total(notownhomeinternet)
drop r1008b
replace notownhomeinternet = 1 if n_notownhomeinternet_hh > 0
replace notownhomeinternet = 0 if notownhomeinternet != 1

gen officeinternet = 1 if r1008c == 1
replace officeinternet = 0 if r1008c == 5
bysort urut-r108: egen n_officeinternet_hh = total(officeinternet)
drop r1008c
replace officeinternet = 1 if n_officeinternet_hh > 0
replace officeinternet = 0 if officeinternet != 1

gen schoolinternet = 1 if r1008d == 1
replace schoolinternet = 0 if r1008d == 5
bysort urut-r108: egen n_schoolinternet_hh = total(schoolinternet)
drop r1008d
replace schoolinternet = 1 if n_schoolinternet_hh > 0
replace schoolinternet = 0 if schoolinternet != 1

gen publicinternet = 1 if r1008e == 1
replace publicinternet = 0 if r1008e == 5
bysort urut-r108: egen n_publicinternet_hh = total(publicinternet)
drop r1008e
replace publicinternet = 1 if n_publicinternet_hh > 0
replace publicinternet = 0 if publicinternet != 1

gen vehicleinternet = 1 if r1008f == 1
replace vehicleinternet = 0 if r1008f == 5
bysort urut-r108: egen n_vehicleinternet_hh = total(vehicleinternet)
drop r1008f
replace vehicleinternet = 1 if n_vehicleinternet_hh > 0
replace vehicleinternet = 0 if vehicleinternet != 1

**internet usage**
gen int_gettinginformation = 1 if r1009a == 1
replace int_gettinginformation = 0 if r1009a == 5
bysort urut-r108: egen n_int_gettinginformation = total(int_gettinginformation)
drop r1009a
replace int_gettinginformation = 1 if n_int_gettinginformation > 0
replace int_gettinginformation = 0 if int_gettinginformation != 1


gen int_dohomework = 1 if r1009b == 1
replace int_dohomework = 0 if r1009b == 5
bysort urut-r108: egen n_int_dohomework = total(int_dohomework)
drop r1009b
replace int_dohomework = 1 if n_int_dohomework > 0
replace int_dohomework = 0 if int_dohomework != 1

gen int_email = 1 if r1009c == 1
replace int_email = 0 if r1009c == 5
bysort urut-r108: egen n_int_email = total(int_email)
drop r1009c
replace int_email = 1 if n_int_email > 0
replace int_email = 0 if int_email != 1

gen int_socialmedia = 1 if r1009d == 1
replace int_socialmedia = 0 if r1009d == 5
bysort urut-r108: egen n_int_socialmedia = total(int_socialmedia)
drop r1009d
replace int_socialmedia = 1 if n_int_socialmedia > 0
replace int_socialmedia = 0 if int_socialmedia != 1

gen int_buysellservice = 1 if r1009e == 1
replace int_buysellservice = 0 if r1009e == 5
bysort urut-r108: egen n_int_buysellservice = total(int_buysellservice)
drop r1009e
replace int_buysellservice = 1 if n_int_buysellservice > 0
replace int_buysellservice = 0 if int_buysellservice != 1

gen int_recreational = 1 if r1009f == 1
replace int_recreational = 0 if r1009f == 5
bysort urut-r108: egen n_int_recreational = total(int_recreational)
drop r1009f
replace int_recreational = 1 if n_int_recreational > 0
replace int_recreational = 0 if int_recreational != 1

gen int_financial = 1 if r1009g == 1
replace int_financial = 0 if r1009g == 5
bysort urut-r108: egen n_int_financial = total(int_financial)
drop r1009g
replace int_financial = 1 if n_int_financial > 0
replace int_financial = 0 if int_financial != 1

gen int_other = 1 if r1009h == 1
replace int_other = 0 if r1009h == 5
bysort urut-r108: egen n_int_other = total(int_other)
drop r1009h
replace int_other = 1 if n_int_other > 0
replace int_other = 0 if int_other != 1

bys urut-r108: gen n=_n
keep if n==1
keep urut-r108 zr301 r1501-r1515 r1701a-r1701k own_cell n_cell_hh usecomputer useinternet homeinternet-vehicleinternet int_* exp_cap fwt_tahun totalmale totalfemale totalchild

**renaming variables**
rename urut hhid
rename r101 provincecode
rename r102 districtcode
rename r105 urban
replace urban = 0 if urban == 2
rename r107 samplecode
rename r108 HHsamplecode
rename zr301 hhsize
rename r1501 nhhhouse
tab r1502, gen(houseownership)
rename r1503 area
tab r1504, gen(rooftype)
tab r1505, gen(walltype)
tab r1506, gen(floortype)
tab r1507a, gen(toiletownership)
tab r1507b, gen(toilettype)
tab r1507c, gen(finaldisposal)
tab r1508a, gen(drinkwatersource)
rename r1508b cleandrinkwater
replace cleandrinkwater = 1 if cleandrinkwater == 2
replace cleandrinkwater = 0 if cleandrinkwater == 1 | cleandrinkwater == 8
replace cleandrinkwater = 1 if r1508a == 1 | r1508a == 2 | r1508a == 3 | r1508a == 4 
replace cleandrinkwater = 1 if r1508a == 10 | r1508a == 11 | r1508a == 12
replace r1509 = . if r1508a == 1 | r1508a == 2 | r1508a == 4
tab r1509, gen(waterownership)
tab r1510, gen(attaindrinkwater)
tab r1511a, gen(cookwatersource)
rename r1511b cleancookwater
replace cleancookwater = 1 if cleancookwater == 2
replace cleancookwater = 0 if cleancookwater == 1 | cleancookwater == 8
replace cleancookwater = 1 if r1511a == 1 | r1508a == 2 | r1508a == 3 | r1508a == 4 
replace cleancookwater = 1 if r1511a == 10 | r1511a == 11 | r1511a == 12
tab r1512a, gen(washwatersource)
rename r1512b cleanwashwater
replace cleanwashwater = 1 if cleanwashwater == 2
replace cleanwashwater = 0 if cleanwashwater == 1 | cleanwashwater == 8
replace cleanwashwater = 1 if r1512a == 1 | r1512a == 2 | r1512a == 3 | r1512a == 4 
replace cleanwashwater = 1 if r1512a == 10 | r1512a == 11 | r1512a == 12
gen publicpipewater=1 if r1513 == 1
replace publicpipewater=0 if r1513!= 1
gen publichydranwater=1 if r1513== 2
replace publichydranwater=0 if r1513!= 2
drop r1513
tab r1514, gen(electricitysource)
replace r1515= 11 if r1515== 0 
tab r1515, gen(cookenergysource)
rename exp_cap month_pcexp
format %15.0f month_pcexp
rename fwt_tahun wert

drop r1502
rename houseownership1 ownhouse
rename houseownership2 lease
rename houseownership3 freelease
rename houseownership4 companyhouse
rename houseownership5 otherhouse

drop r1504
rename rooftype1 concreteroof
rename rooftype2 tileroof
rename rooftype3 metalroof
rename rooftype4 clayroof
rename rooftype5 asbestosroof
rename rooftype6 ironsheetroof
rename rooftype7 bambooroof
rename rooftype8 shinglewoodroof
rename rooftype9 fiberpalmroof
rename rooftype10 otherroof

drop r1505
rename walltype1 concretewall
rename walltype2 wovenbamboowall
rename walltype3 woodwall
rename walltype4 wovenwoodwall
rename walltype5 logwoodwall
rename walltype6 bamboowall
rename walltype7 otherwall

drop r1506
rename floortype1 marblegranitefloor
rename floortype2 ceramicfloor
rename floortype3 parquettevinylfloor
rename floortype4 tilefloor
rename floortype5 highqualitywoodfloor
rename floortype6 cementbrickfloor
rename floortype7 bamboofloor
rename floortype8 lowqualityqoodfloor
rename floortype9 soilfloor
rename floortype10 otherfloor

drop r1507a
rename toiletownership1 personaltoilet
rename toiletownership2 mutualtoilet
rename toiletownership3 communaltoilet
rename toiletownership4 publictoilet
rename toiletownership5 noaccesstotoilet

drop r1507b
rename toilettype1 goosetoilet
replace goosetoilet = 0 if noaccesstotoilet == 1
rename toilettype2 closedpitttoilet
replace closedpitttoilet = 0 if noaccesstotoilet == 1
rename toilettype3 unclosedpitttoilet
replace unclosedpitttoilet = 0 if noaccesstotoilet == 1
rename toilettype4 squattoilet
replace squattoilet = 0 if noaccesstotoilet == 1
rename toilettype5 notoilet
replace notoilet = 0 if noaccesstotoilet == 1

* toilet interaction
gen personalgoosetoilet = personaltoilet*goosetoilet
gen personalclosedpitttoilet = personaltoilet*closedpitttoilet
gen personalunclosedpitttoilet = personaltoilet*unclosedpitttoilet
gen personalsquattoilet = personaltoilet*squattoilet
gen personalnotoilet = personaltoilet*notoilet

gen mutualgoosetoilet = mutualtoilet*goosetoilet
gen mutualclosedpitttoilet = mutualtoilet*closedpitttoilet
gen mutualunclosedpitttoilet = mutualtoilet*unclosedpitttoilet
gen mutualsquattoilet = mutualtoilet*squattoilet
gen mutualnotoilet = mutualtoilet*notoilet

gen communalgoosetoilet = communaltoilet*goosetoilet
gen communalclosedpitttoilet = communaltoilet*closedpitttoilet
gen communalunclosedpitttoilet = communaltoilet*unclosedpitttoilet
gen communalsquattoilet = communaltoilet*squattoilet
gen communsalnotoilet = communaltoilet*notoilet

gen publicgoosetoilet = publictoilet*goosetoilet
gen publicclosedpitttoilet = publictoilet*closedpitttoilet
gen publicunclosedpitttoilet = publictoilet*unclosedpitttoilet
gen publicsquattoilet = publictoilet*squattoilet
gen publicnotoilet = publictoilet*notoilet

drop r1507c
rename finaldisposal1 septicdisposal
rename finaldisposal2 pooldisposal
rename finaldisposal3 riverdisposal
rename finaldisposal4 pitholedisposal
rename finaldisposal5 opendisposal
rename finaldisposal6 otherdisposal

drop r1508a
rename drinkwatersource1 bottleddrinkwater
rename drinkwatersource2 refilldrinkwater
rename drinkwatersource3 retailtapdrinkwater
rename drinkwatersource4 meteredtapdrinkwater
rename drinkwatersource5 pumpdrinkwater
rename drinkwatersource6 protectedwelldrinkwater
rename drinkwatersource7 unprotectedwelldrinkwater
rename drinkwatersource8 protectedspringdrinkwater
rename drinkwatersource9 unprotectedspringdrinkwater
rename drinkwatersource10 riverdrinkwater
rename drinkwatersource11 raindrinkwater
rename drinkwatersource12 otherdrinkwater

drop r1509
rename waterownership1 personalwater
replace personalwater= 0 if personalwater!=1 
rename waterownership2 mutualwater
replace mutualwater= 0 if mutualwater!=1
rename waterownership3 publicwater
replace publicwater= 0 if publicwater!=1
rename waterownership4 noaccesswater
replace noaccesswater= 0 if noaccesswater!=1

drop r1510
rename attaindrinkwater1 buyingdrinkwater
rename attaindrinkwater2 subscribesrinkwater
rename attaindrinkwater3 notbuyingdrinkwater

drop r1511a
rename cookwatersource1 bottledcookwater
rename cookwatersource2 refillcookwater
rename cookwatersource3 retailtapcookwater
rename cookwatersource4 meteredtapcookwater
rename cookwatersource5 pumpcookwater
rename cookwatersource6 protectedwellcookwater
rename cookwatersource7 unprotectedwellcookwater
rename cookwatersource8 protectedspringcookwater
rename cookwatersource9 unprotectedspringcookwater
rename cookwatersource10 rivercookwater
rename cookwatersource11 raincookwater
rename cookwatersource12 othercookwater

drop r1512a
rename washwatersource1 bottledwashwater
rename washwatersource2 refillwashwater
rename washwatersource3 retailtapwashwater
rename washwatersource4 meteredtapwashwater
rename washwatersource5 pumpwashwater
rename washwatersource6 protectedwellwashwater
rename washwatersource7 unprotectedwellwashwater
rename washwatersource8 protectedspringwashwater
rename washwatersource9 unprotectedspringwashwater
rename washwatersource10 riverwashwater
rename washwatersource11 rainwashwater
rename washwatersource12 otherwashwater

drop r1514
rename electricitysource1 PLNelectricity
rename electricitysource2 nonPLNelectricity
rename electricitysource3 nonelectricity

drop r1515
rename cookenergysource1 electricity
rename cookenergysource2 lpgas5kg
rename cookenergysource3 lpgas12kg
rename cookenergysource4 lpgas3kg
rename cookenergysource5 gasorbiogas
rename cookenergysource6 kerosene
rename cookenergysource7 briquettecoal
rename cookenergysource8 charcoal
rename cookenergysource9 firewood
rename cookenergysource10 otherenergy
rename cookenergysource11 notcookingathome

*Asset Q
rename r1701a lpg5kgmore
replace lpg5kgmore = 0 if lpg5kgmore == 5
rename r1701b refrigerator
replace refrigerator = 0 if refrigerator == 5
rename r1701c airconditioner
replace airconditioner = 0 if airconditioner == 5
rename r1701d waterheater
replace waterheater = 0 if waterheater == 5
rename r1701e landline
replace landline = 0 if landline == 5
rename r1701f computer
replace computer = 0 if computer == 5
rename r1701g goldjewelerymin10gram
replace goldjewelerymin10gram = 0 if goldjewelerymin10gram == 5
rename r1701h motorcycle
replace motorcycle = 0 if motorcycle == 5
rename r1701i boat
replace boat = 0 if boat == 5
rename r1701j motorboat
replace motorboat = 0 if motorboat == 5
rename r1701k car
replace car = 0 if car == 5

tempfile varsus15mar
saveold "$interim/varsus15mar.dta", replace

/*NOT INCLUDED

**September**
/**housing questions including toilet (r1501-r1515), weight (fwt)**/
use "$MODULE/susenas15sep_msbp_rt.dta"
keep urut-m108 m301 m17* fwt

**renaming variables**
rename urut hhid
rename m101 provincecode
*rename m102 districtcode
rename m105 urban
replace urban = 0 if urban == 2
rename m107 samplecode
rename m108 HHsamplecode
rename m301 hhsize
tab m1701, gen(houseownership)
rename m1702 area
tab m1703, gen(rooftype)
tab m1704, gen(floortype)
tab m1705, gen(walltype)
tab m1706, gen(electricitysource)
tab m1707a, gen(drinkwatersource)
rename m1707b cleandrinkwater
replace cleandrinkwater = 1 if cleandrinkwater == 2
replace cleandrinkwater = 0 if cleandrinkwater != 2
replace cleandrinkwater = . if m1707a == 1 
replace cleandrinkwater = . if m1707a == 2 
replace cleandrinkwater = . if m1707a == 3 
replace cleandrinkwater = . if m1707a == 4 
replace cleandrinkwater = . if m1707a == 5 
replace cleandrinkwater = . if m1707a == 10 
replace cleandrinkwater = . if m1707a == 11 
replace cleandrinkwater = . if m1707a == 12
tab m1708, gen(washcookwatersource)
tab m1709, gen(accesstotoilet)
tab m1710a, gen(toiletownership)
tab m1710b, gen(toilettype)
tab m1710c, gen(finaldisposal)
rename fwt wert

drop m1701
rename houseownership1 ownhouse
rename houseownership2 lease
rename houseownership3 freelease
rename houseownership4 companyhouse
rename houseownership5 otherhouse

drop m1703
rename rooftype1 concreteroof
rename rooftype2 tileroof
rename rooftype3 asbestosroof
rename rooftype4 ironsheetroof
rename rooftype5 bambooroof
rename rooftype6 shinglewoodroof
rename rooftype7 fiberpalmroof
rename rooftype8 otherroof

drop m1704
rename floortype1 soilfloor
drop floortype2

drop m1705
rename walltype1 concretewall
rename walltype2 wovenbamboowall
rename walltype3 woodwall
rename walltype4 wovenwoodwall
rename walltype5 logwoodwall
rename walltype6 bamboowall
rename walltype7 otherwall

drop m1706
rename electricitysource1 PLNelectricity
rename electricitysource2 nonPLNelectricity
rename electricitysource3 nonelectricity

drop m1707a
rename drinkwatersource1 bottleddrinkwater
rename drinkwatersource2 refilldrinkwater
rename drinkwatersource3 retailtapdrinkwater
rename drinkwatersource4 meteredtapdrinkwater
rename drinkwatersource5 pumpdrinkwater
rename drinkwatersource6 protectedwelldrinkwater
rename drinkwatersource7 unprotectedwelldrinkwater
rename drinkwatersource8 protectedspringdrinkwater
rename drinkwatersource9 unprotectedspringdrinkwater
rename drinkwatersource10 riverdrinkwater
rename drinkwatersource11 raindrinkwater
rename drinkwatersource12 otherdrinkwater

drop m1708
rename washcookwatersource1 bottledwashcookwater
rename washcookwatersource2 refillwashcookwater
rename washcookwatersource3 retailtapwashcookwater
rename washcookwatersource4 meteredtapwashcookwater
rename washcookwatersource5 pumpwashcookwater
rename washcookwatersource6 protectedwellwashcookwater
rename washcookwatersource7 unprotectedwellwashcookwater
rename washcookwatersource8 protectedspringwashcookwater
rename washcookwatersource9 unprotectedspringwashcookwater
rename washcookwatersource10 riverwashcookwater
rename washcookwatersource11 rainwashcookwater
rename washcookwatersource12 otherwashcookwater

drop m1709
rename accesstotoilet1 standardizedtoilet
rename accesstotoilet2 nonstandardizedtoilet
rename accesstotoilet3 noaccesstotoilet

drop m1710a
rename toiletownership1 personaltoilet
rename toiletownership2 mutualtoilet
rename toiletownership3 communaltoilet

drop m1710b
rename toilettype1 goosetoilet
replace goosetoilet = 0 if noaccesstotoilet == 1
rename toilettype2 closedpitttoilet
replace closedpitttoilet = 0 if noaccesstotoilet == 1
rename toilettype3 unclosedpitttoilet
replace unclosedpitttoilet = 0 if noaccesstotoilet == 1
rename toilettype4 squattoilet
replace squattoilet = 0 if noaccesstotoilet == 1

* toilet interaction
gen personalgoosetoilet = personaltoilet*goosetoilet
gen personalclosedpitttoilet = personaltoilet*closedpitttoilet
gen personalunclosedpitttoilet = personaltoilet*unclosedpitttoilet
gen personalsquattoilet = personaltoilet*squattoilet

gen mutualgoosetoilet = mutualtoilet*goosetoilet
gen mutualclosedpitttoilet = mutualtoilet*closedpitttoilet
gen mutualunclosedpitttoilet = mutualtoilet*unclosedpitttoilet
gen mutualsquattoilet = mutualtoilet*squattoilet

gen communalgoosetoilet = communaltoilet*goosetoilet
gen communalclosedpitttoilet = communaltoilet*closedpitttoilet
gen communalunclosedpitttoilet = communaltoilet*unclosedpitttoilet
gen communalsquattoilet = communaltoilet*squattoilet

drop m1710c
rename finaldisposal1 septicdisposal
rename finaldisposal2 pooldisposal
rename finaldisposal3 riverdisposal
rename finaldisposal4 pitholedisposal
rename finaldisposal5 opendisposal
rename finaldisposal6 otherdisposal

saveold "$interim/varsus15sept.dta", replace
*/
*log close
