/**************Crosswalk Susenas Pool 11*************
Last modified: 170630
*************************/

clear
capture log close
set more off


use "$interim/varsus11pool.dta"

*create province id without label value
g prov_id= provincecode
tostring prov_id, replace

* change b1r2 into string & make all the same length
tostring districtcode, replace
replace districtcode ="0"+districtcode if length(districtcode)==1

*create kabupaten/kota id 
g kabu_id = prov_id+districtcode
destring kabu_id, replace
tempfile varsus11pool
save `varsus11pool'

*get the names from crosswalk file 
use "$rawdata/kabpanel19802014usingUndangUndang.dta", clear

keep id_dec09 kab_dec09 id_dec04 kab_dec04
duplicates drop

rename  id_dec09 kabu_id

merge 1:m kabu_id using `varsus11pool'
*all matched
keep if _m==3

drop kabu_id kab_dec09
rename kab_dec04 kabu_name
rename id_dec04 kabu_id
tostring kabu_id, replace


saveold "$interim/varsus11pool.dta", replace
