/**************Crosswalk Susenas Pool 14*************
Last modified: 170703
*************************/

clear
capture log close
set more off



use "$interim/varsus14pool.dta"
*create province id without label value
g prov_id= provincecode
tostring prov_id, replace

* change b1r2 into string & make all the same length
tostring districtcode, replace
replace districtcode ="0"+districtcode if length(districtcode)==1

*create kabupaten/kota id 
g kabu_id = prov_id+districtcode
destring kabu_id, replace
*changing kabu_id to match with dec_04 codes, due to pemekaran or changing names
replace kabu_id= 1603 if kabu_id==1612
replace kabu_id= 1801 if kabu_id==1813
replace kabu_id= 3201 if kabu_id==3218
replace kabu_id= 5306 if kabu_id==5321
replace kabu_id= 6402 if kabu_id==6411
replace kabu_id= 7404 if kabu_id==7411
replace kabu_id= 8203 if kabu_id==8208
tostring kabu_id, replace
tempfile varsus14pool
save `varsus14pool'

*get the names from crosswalk file 
use "$rawdata/kabpanel19802014usingUndangUndang.dta", clear
keep id_dec04 kab_dec04 id_dec09 kab_dec09
duplicates drop

rename  id_dec09 kabu_id // dec_09 = dec_11
tostring kabu_id, replace

merge 1:m kabu_id using `varsus14pool'
*all matched
keep if _m==3

drop kabu_id kab_dec09
rename kab_dec04 kabu_name
rename id_dec04 kabu_id
destring kabu_id, replace

save "$interim/varsus14pool.dta", replace
