/**************Crosswalk Susenas Jul 05*************
Last modified: 170629
*************************/

**Setting directories**
clear
capture log close
set more off


use "$interim/varsus05jul.dta"

*create province id without label value
g prov_id= provincecode
tostring prov_id, replace

* change b1r2 into string & make all the same length
tostring districtcode, replace
replace districtcode ="0"+districtcode if length(districtcode)==1

*create kabupaten/kota id 
g kabu_id = prov_id+districtcode

drop if kabu_id=="7324"  //there was never 7324 in any BPS code
* we need to manually recode 13 kabupatens because these codes do not exist after 2002 
				replace kabu_id="7602" if kabu_id=="7319"
				replace kabu_id="7601" if kabu_id=="7320"
				replace kabu_id="7604" if kabu_id=="7321"
				replace kabu_id="7603" if kabu_id=="7323"

				replace kabu_id="9101" if kabu_id=="9405"
				replace kabu_id="9107" if kabu_id=="9406"
				replace kabu_id="9105" if kabu_id=="9407"

				replace kabu_id="9102" if kabu_id=="9421"
				replace kabu_id="9106" if kabu_id=="9422"
				replace kabu_id="9108" if kabu_id=="9423"
				replace kabu_id="9104" if kabu_id=="9424"
				replace kabu_id="9103" if kabu_id=="9425"
				replace kabu_id="9171" if kabu_id=="9472"

destring kabu_id, replace
tempfile susenas05jul
save `susenas05jul'

*get the names from crosswalk file 
use "$rawdata/kabpanel19802014usingUndangUndang.dta", clear
keep id_dec04 kab_dec04
duplicates drop 
rename id_dec04 kabu_id
rename kab_dec04 kabu_name

merge 1:m kabu_id using `susenas05jul'
*34 master only, not surveyed
keep if _m==3

save "$interim/varsus05jul.dta", replace
