/**************Crosswalk Susenas Jul 06*************
Last modified: 170629
*************************/

clear
capture log close
set more off

use "$interim/varsus06jul.dta"

*create province id without label value
g prov_id= provincecode
tostring prov_id, replace

* change b1r2 into string & make all the same length
tostring districtcode, replace
replace districtcode ="0"+districtcode if length(districtcode)==1

*create kabupaten/kota id 
g kabu_id = prov_id+districtcode

destring kabu_id, replace
tempfile susenas06jul
save `susenas06jul'

*get the names from crosswalk file 
use "$rawdata/kabpanel19802014usingUndangUndang.dta", clear

keep id_dec04 kab_dec04

duplicates drop 
rename  id_dec04 kabu_id
rename kab_dec04 kabu_name

merge 1:m kabu_id using `susenas06jul'
*1 master only, not surveyed
keep if _m==3

save "$interim/varsus06jul.dta", replace
