/**************Crosswalk Susenas Jul 09*************
Last modified: 170630
*************************/

**Setting directories**
clear
capture log close
set more off


use "$interim/varsus09jul.dta"

*create province id without label value
g prov_id= provincecode
tostring prov_id, replace

* change b1r2 into string & make all the same length
tostring districtcode, replace
replace districtcode ="0"+districtcode if length(districtcode)==1

*create kabupaten/kota id 
g kabu_id = prov_id+districtcode
destring kabu_id, replace
tempfile susenas09jul
save `susenas09jul'

*get the names from crosswalk file 
use "$rawdata/kabpanel19802014usingUndangUndang.dta", clear

keep id_jul08 kab_jul08 id_dec04 kab_dec04
duplicates drop

rename  id_jul08 kabu_id

merge 1:m kabu_id using `susenas09jul'
*11 master only, not surveyed
keep if _m==3

drop kabu_id kab_jul08
rename kab_dec04 kabu_name
rename id_dec04 kabu_id
tostring kabu_id, replace

save "$interim/varsus09jul.dta", replace
