/**************Crosswalk Susenas mar 06*************
Last modified: 170629
*************************/

clear
capture log close
set more off

use "$interim/varsus06mar.dta"

*create province id without label value
g prov_id= provincecode
tostring prov_id, replace

* change b1r2 into string & make all the same length
tostring districtcode, replace
replace districtcode ="0"+districtcode if length(districtcode)==1

*create kabupaten/kota id 
g kabu_id = prov_id+districtcode

drop if kabu_id=="7324"  //there was never 7324 in any BPS code

*we need to manually recode 13 kabupatens because these codes do not exist after 2002 
				replace kabu_id="7602" if kabu_id=="7319"
				replace kabu_id="9107" if kabu_id=="9406"
				replace kabu_id="9171" if kabu_id=="9472"

destring kabu_id, replace
tempfile susenas06mar
save `susenas06mar'

*get the names from crosswalk file 
use "$rawdata/kabpanel19802014usingUndangUndang.dta", clear

keep id_dec04 kab_dec04

duplicates drop 
rename id_dec04 kabu_id
rename kab_dec04 kabu_name

merge 1:m kabu_id using `susenas06mar'
*114 master only -- not surveyed
keep if _m==3



save "$interim/varsus06mar.dta", replace
