/**************Crosswalk Susenas Mar 10*************
Last modified: 170630
*************************/

**Setting directories**
clear
capture log close
set more off


use "$interim/varsus10mar.dta"

*create province id without label value
g prov_id= provincecode
tostring prov_id, replace

* change b1r2 into string & make all the same length
tostring districtcode, replace
replace districtcode ="0"+districtcode if length(districtcode)==1

*create kabupaten/kota id 
g kabu_id = prov_id+districtcode
destring kabu_id, replace
tempfile susenas10mar
save `susenas10mar'

*get the names from crosswalk file 
use "$rawdata/kabpanel19802014usingUndangUndang.dta", clear

keep id_jan07 kab_jan07 id_dec04 kab_dec04
duplicates drop

rename  id_jan07 kabu_id

merge 1:m kabu_id using `susenas10mar'
*5 in master only, not surveyed

keep if _m==3

drop kabu_id kab_jan07
rename kab_dec04 kabu_name
rename id_dec04 kabu_id
tostring kabu_id, replace

save "$interim/varsus10mar.dta", replace
